"use client"
/* */
const locales = {"de-DE": {  "countries.AD": `Andorra`,
  "countries.AE": `Vereinigte Arabische Emirate`,
  "countries.AF": `Afghanistan`,
  "countries.AG": `Antigua und Barbuda`,
  "countries.AI": `Anguilla`,
  "countries.AL": `Albanien`,
  "countries.AM": `Armenien`,
  "countries.AO": `Angola`,
  "countries.AQ": `Antarktis`,
  "countries.AR": `Argentinien`,
  "countries.AS": `Amerikanisch-Samoa`,
  "countries.AT": `Österreich`,
  "countries.AU": `Australien`,
  "countries.AW": `Aruba`,
  "countries.AX": `Åland`,
  "countries.AZ": `Aserbaidschan`,
  "countries.BA": `Bosnien und Herzegowina`,
  "countries.BB": `Barbados`,
  "countries.BD": `Bangladesch`,
  "countries.BE": `Belgien`,
  "countries.BF": `Burkina Faso`,
  "countries.BG": `Bulgarien`,
  "countries.BH": `Bahrain`,
  "countries.BI": `Burundi`,
  "countries.BJ": `Benin`,
  "countries.BL": `Saint-Barthélemy`,
  "countries.BM": `Bermuda`,
  "countries.BN": `Brunei Darussalam`,
  "countries.BO": `Bolivien`,
  "countries.BQ": `Bonaire, Sint Eustatius und Saba`,
  "countries.BR": `Brasilien`,
  "countries.BS": `Bahamas`,
  "countries.BT": `Bhutan`,
  "countries.BV": `Bouvetinsel`,
  "countries.BW": `Botswana`,
  "countries.BY": `Belarus`,
  "countries.BZ": `Belize`,
  "countries.CA": `Kanada`,
  "countries.CC": `Kokosinseln`,
  "countries.CD": `Demokratische Republik Kongo`,
  "countries.CF": `Zentralafrikanische Republik`,
  "countries.CG": `Republik Kongo`,
  "countries.CH": `Schweiz`,
  "countries.CI": `Côte d'Ivoire`,
  "countries.CK": `Cookinseln`,
  "countries.CL": `Chile`,
  "countries.CM": `Kamerun`,
  "countries.CN": `China`,
  "countries.CO": `Kolumbien`,
  "countries.CR": `Costa Rica`,
  "countries.CU": `Kuba`,
  "countries.CV": `Kap Verde`,
  "countries.CW": `Curaçao`,
  "countries.CX": `Weihnachtsinsel`,
  "countries.CY": `Zypern`,
  "countries.CZ": `Tschechische Republik`,
  "countries.DE": `Deutschland`,
  "countries.DJ": `Dschibuti`,
  "countries.DK": `Dänemark`,
  "countries.DM": `Dominica`,
  "countries.DO": `Dominikanische Republik`,
  "countries.DZ": `Algerien`,
  "countries.EC": `Ecuador`,
  "countries.EE": `Estland`,
  "countries.EG": `Ägypten`,
  "countries.EH": `Westsahara`,
  "countries.ER": `Eritrea`,
  "countries.ES": `Spanien`,
  "countries.ET": `Äthiopien`,
  "countries.FI": `Finnland`,
  "countries.FJ": `Fidschi`,
  "countries.FK": `Falklandinseln`,
  "countries.FM": `Mikronesien`,
  "countries.FO": `Färöer`,
  "countries.FR": `Frankreich`,
  "countries.GA": `Gabun`,
  "countries.GB": `Vereinigtes Königreich`,
  "countries.GD": `Grenada`,
  "countries.GE": `Georgien`,
  "countries.GF": `Französisch-Guayana`,
  "countries.GG": `Guernsey`,
  "countries.GH": `Ghana`,
  "countries.GI": `Gibraltar`,
  "countries.GL": `Grönland`,
  "countries.GM": `Gambia`,
  "countries.GN": `Guinea`,
  "countries.GP": `Guadeloupe`,
  "countries.GQ": `Äquatorialguinea`,
  "countries.GR": `Griechenland`,
  "countries.GS": `Südgeorgien und die Südlichen Sandwichinseln`,
  "countries.GT": `Guatemala`,
  "countries.GU": `Guam`,
  "countries.GW": `Guinea-Bissau`,
  "countries.GY": `Guyana`,
  "countries.HK": `Hongkong`,
  "countries.HM": `Heard und McDonaldinseln`,
  "countries.HN": `Honduras`,
  "countries.HR": `Kroatien`,
  "countries.HT": `Haiti`,
  "countries.HU": `Ungarn`,
  "countries.ID": `Indonesien`,
  "countries.IE": `Irland`,
  "countries.IL": `Israel`,
  "countries.IM": `Isle of Man`,
  "countries.IN": `Indien`,
  "countries.IO": `Britisches Territorium im Indischen Ozean`,
  "countries.IQ": `Irak`,
  "countries.IR": `Iran`,
  "countries.IS": `Island`,
  "countries.IT": `Italien`,
  "countries.JE": `Jersey`,
  "countries.JM": `Jamaika`,
  "countries.JO": `Jordanien`,
  "countries.JP": `Japan`,
  "countries.KE": `Kenia`,
  "countries.KG": `Kirgisistan`,
  "countries.KH": `Kambodscha`,
  "countries.KI": `Kiribati`,
  "countries.KM": `Komoren`,
  "countries.KN": `St. Kitts und Nevis`,
  "countries.KP": `Nordkorea`,
  "countries.KR": `Südkorea`,
  "countries.KW": `Kuwait`,
  "countries.KY": `Kaimaninseln`,
  "countries.KZ": `Kasachstan`,
  "countries.LA": `Laos`,
  "countries.LB": `Libanon`,
  "countries.LC": `St. Lucia`,
  "countries.LI": `Liechtenstein`,
  "countries.LK": `Sri Lanka`,
  "countries.LR": `Liberia`,
  "countries.LS": `Lesotho`,
  "countries.LT": `Litauen`,
  "countries.LU": `Luxemburg`,
  "countries.LV": `Lettland`,
  "countries.LY": `Libyen`,
  "countries.MA": `Marokko`,
  "countries.MC": `Monaco`,
  "countries.MD": `Moldawien`,
  "countries.ME": `Montenegro`,
  "countries.MF": `Saint-Martin`,
  "countries.MG": `Madagaskar`,
  "countries.MH": `Marshallinseln`,
  "countries.MK": `Nordmazedonien`,
  "countries.ML": `Mali`,
  "countries.MM": `Myanmar`,
  "countries.MN": `Mongolei`,
  "countries.MO": `Macau`,
  "countries.MP": `Nördliche Marianen`,
  "countries.MQ": `Martinique`,
  "countries.MR": `Mauretanien`,
  "countries.MS": `Montserrat`,
  "countries.MT": `Malta`,
  "countries.MU": `Mauritius`,
  "countries.MV": `Malediven`,
  "countries.MW": `Malawi`,
  "countries.MX": `Mexiko`,
  "countries.MY": `Malaysia`,
  "countries.MZ": `Mosambik`,
  "countries.NA": `Namibia`,
  "countries.NC": `Neukaledonien`,
  "countries.NE": `Niger`,
  "countries.NF": `Norfolkinsel`,
  "countries.NG": `Nigeria`,
  "countries.NI": `Nicaragua`,
  "countries.NL": `Niederlande`,
  "countries.NO": `Norwegen`,
  "countries.NP": `Nepal`,
  "countries.NR": `Nauru`,
  "countries.NU": `Niue`,
  "countries.NZ": `Neuseeland`,
  "countries.OM": `Oman`,
  "countries.PA": `Panama`,
  "countries.PE": `Peru`,
  "countries.PF": `Französisch-Polynesien`,
  "countries.PG": `Papua-Neuguinea`,
  "countries.PH": `Philippinen`,
  "countries.PK": `Pakistan`,
  "countries.PL": `Polen`,
  "countries.PM": `Saint-Pierre und Miquelon`,
  "countries.PN": `Pitcairninseln`,
  "countries.PR": `Puerto Rico`,
  "countries.PS": `Palästina`,
  "countries.PT": `Portugal`,
  "countries.PW": `Palau`,
  "countries.PY": `Paraguay`,
  "countries.QA": `Katar`,
  "countries.RE": `Réunion`,
  "countries.RO": `Rumänien`,
  "countries.RS": `Serbien`,
  "countries.RU": `Russland`,
  "countries.RW": `Ruanda`,
  "countries.SA": `Saudi-Arabien`,
  "countries.SB": `Salomonen`,
  "countries.SC": `Seychellen`,
  "countries.SD": `Sudan`,
  "countries.SE": `Schweden`,
  "countries.SG": `Singapur`,
  "countries.SH": `St. Helena`,
  "countries.SI": `Slowenien`,
  "countries.SJ": `Spitzbergen und Jan Mayen`,
  "countries.SK": `Slowakei`,
  "countries.SL": `Sierra Leone`,
  "countries.SM": `San Marino`,
  "countries.SN": `Senegal`,
  "countries.SO": `Somalia`,
  "countries.SR": `Suriname`,
  "countries.SS": `Südsudan`,
  "countries.ST": `São Tomé und Príncipe`,
  "countries.SV": `El Salvador`,
  "countries.SX": `Sint Maarten`,
  "countries.SY": `Syrien`,
  "countries.SZ": `Eswatini`,
  "countries.TC": `Turks- und Caicosinseln`,
  "countries.TD": `Tschad`,
  "countries.TF": `Französische Süd- und Antarktisgebiete`,
  "countries.TG": `Togo`,
  "countries.TH": `Thailand`,
  "countries.TJ": `Tadschikistan`,
  "countries.TK": `Tokelau`,
  "countries.TL": `Timor-Leste`,
  "countries.TM": `Turkmenistan`,
  "countries.TN": `Tunesien`,
  "countries.TO": `Tonga`,
  "countries.TR": `Türkei`,
  "countries.TT": `Trinidad und Tobago`,
  "countries.TV": `Tuvalu`,
  "countries.TW": `Taiwan`,
  "countries.TZ": `Tansania`,
  "countries.UA": `Ukraine`,
  "countries.UG": `Uganda`,
  "countries.UM": `Amerikanische Überseeinseln`,
  "countries.US": `Vereinigte Staaten`,
  "countries.UY": `Uruguay`,
  "countries.UZ": `Usbekistan`,
  "countries.VA": `Vatikanstadt`,
  "countries.VC": `St. Vincent und die Grenadinen`,
  "countries.VE": `Venezuela`,
  "countries.VG": `Britische Jungferninseln`,
  "countries.VI": `Amerikanische Jungferninseln`,
  "countries.VN": `Vietnam`,
  "countries.VU": `Vanuatu`,
  "countries.WF": `Wallis und Futuna`,
  "countries.WS": `Samoa`,
  "countries.XK": `Kosovo`,
  "countries.YE": `Jemen`,
  "countries.YT": `Mayotte`,
  "countries.ZA": `Südafrika`,
  "countries.ZM": `Sambia`,
  "countries.ZW": `Simbabwe`,
},"en-US": {  "countries.AD": `Andorra`,
  "countries.AE": `United Arab Emirates`,
  "countries.AF": `Afghanistan`,
  "countries.AG": `Antigua and Barbuda`,
  "countries.AI": `Anguilla`,
  "countries.AL": `Albania`,
  "countries.AM": `Armenia`,
  "countries.AO": `Angola`,
  "countries.AQ": `Antarctica`,
  "countries.AR": `Argentina`,
  "countries.AS": `American Samoa`,
  "countries.AT": `Austria`,
  "countries.AU": `Australia`,
  "countries.AW": `Aruba`,
  "countries.AX": `Åland Islands`,
  "countries.AZ": `Azerbaijan`,
  "countries.BA": `Bosnia and Herzegovina`,
  "countries.BB": `Barbados`,
  "countries.BD": `Bangladesh`,
  "countries.BE": `Belgium`,
  "countries.BF": `Burkina Faso`,
  "countries.BG": `Bulgaria`,
  "countries.BH": `Bahrain`,
  "countries.BI": `Burundi`,
  "countries.BJ": `Benin`,
  "countries.BL": `Saint Barthélemy`,
  "countries.BM": `Bermuda`,
  "countries.BN": `Brunei Darussalam`,
  "countries.BO": `Bolivia`,
  "countries.BQ": `Bonaire, Sint Eustatius and Saba`,
  "countries.BR": `Brazil`,
  "countries.BS": `Bahamas`,
  "countries.BT": `Bhutan`,
  "countries.BV": `Bouvet Island`,
  "countries.BW": `Botswana`,
  "countries.BY": `Belarus`,
  "countries.BZ": `Belize`,
  "countries.CA": `Canada`,
  "countries.CC": `Cocos (Keeling) Islands`,
  "countries.CD": `Congo, Democratic Republic of the`,
  "countries.CF": `Central African Republic`,
  "countries.CG": `Congo`,
  "countries.CH": `Switzerland`,
  "countries.CI": `Côte d'Ivoire`,
  "countries.CK": `Cook Islands`,
  "countries.CL": `Chile`,
  "countries.CM": `Cameroon`,
  "countries.CN": `China`,
  "countries.CO": `Colombia`,
  "countries.CR": `Costa Rica`,
  "countries.CU": `Cuba`,
  "countries.CV": `Cape Verde`,
  "countries.CW": `Curaçao`,
  "countries.CX": `Christmas Island`,
  "countries.CY": `Cyprus`,
  "countries.CZ": `Czech Republic`,
  "countries.DE": `Germany`,
  "countries.DJ": `Djibouti`,
  "countries.DK": `Denmark`,
  "countries.DM": `Dominica`,
  "countries.DO": `Dominican Republic`,
  "countries.DZ": `Algeria`,
  "countries.EC": `Ecuador`,
  "countries.EE": `Estonia`,
  "countries.EG": `Egypt`,
  "countries.EH": `Western Sahara`,
  "countries.ER": `Eritrea`,
  "countries.ES": `Spain`,
  "countries.ET": `Ethiopia`,
  "countries.FI": `Finland`,
  "countries.FJ": `Fiji`,
  "countries.FK": `Falkland Islands`,
  "countries.FM": `Micronesia`,
  "countries.FO": `Faroe Islands`,
  "countries.FR": `France`,
  "countries.GA": `Gabon`,
  "countries.GB": `United Kingdom`,
  "countries.GD": `Grenada`,
  "countries.GE": `Georgia`,
  "countries.GF": `French Guiana`,
  "countries.GG": `Guernsey`,
  "countries.GH": `Ghana`,
  "countries.GI": `Gibraltar`,
  "countries.GL": `Greenland`,
  "countries.GM": `Gambia`,
  "countries.GN": `Guinea`,
  "countries.GP": `Guadeloupe`,
  "countries.GQ": `Equatorial Guinea`,
  "countries.GR": `Greece`,
  "countries.GS": `South Georgia and the South Sandwich Islands`,
  "countries.GT": `Guatemala`,
  "countries.GU": `Guam`,
  "countries.GW": `Guinea-Bissau`,
  "countries.GY": `Guyana`,
  "countries.HK": `Hong Kong`,
  "countries.HM": `Heard Island and McDonald Islands`,
  "countries.HN": `Honduras`,
  "countries.HR": `Croatia`,
  "countries.HT": `Haiti`,
  "countries.HU": `Hungary`,
  "countries.ID": `Indonesia`,
  "countries.IE": `Ireland`,
  "countries.IL": `Israel`,
  "countries.IM": `Isle of Man`,
  "countries.IN": `India`,
  "countries.IO": `British Indian Ocean Territory`,
  "countries.IQ": `Iraq`,
  "countries.IR": `Iran`,
  "countries.IS": `Iceland`,
  "countries.IT": `Italy`,
  "countries.JE": `Jersey`,
  "countries.JM": `Jamaica`,
  "countries.JO": `Jordan`,
  "countries.JP": `Japan`,
  "countries.KE": `Kenya`,
  "countries.KG": `Kyrgyzstan`,
  "countries.KH": `Cambodia`,
  "countries.KI": `Kiribati`,
  "countries.KM": `Comoros`,
  "countries.KN": `Saint Kitts and Nevis`,
  "countries.KP": `North Korea`,
  "countries.KR": `South Korea`,
  "countries.KW": `Kuwait`,
  "countries.KY": `Cayman Islands`,
  "countries.KZ": `Kazakhstan`,
  "countries.LA": `Laos`,
  "countries.LB": `Lebanon`,
  "countries.LC": `Saint Lucia`,
  "countries.LI": `Liechtenstein`,
  "countries.LK": `Sri Lanka`,
  "countries.LR": `Liberia`,
  "countries.LS": `Lesotho`,
  "countries.LT": `Lithuania`,
  "countries.LU": `Luxembourg`,
  "countries.LV": `Latvia`,
  "countries.LY": `Libya`,
  "countries.MA": `Morocco`,
  "countries.MC": `Monaco`,
  "countries.MD": `Moldova`,
  "countries.ME": `Montenegro`,
  "countries.MF": `Saint Martin`,
  "countries.MG": `Madagascar`,
  "countries.MH": `Marshall Islands`,
  "countries.MK": `North Macedonia`,
  "countries.ML": `Mali`,
  "countries.MM": `Myanmar`,
  "countries.MN": `Mongolia`,
  "countries.MO": `Macao`,
  "countries.MP": `Northern Mariana Islands`,
  "countries.MQ": `Martinique`,
  "countries.MR": `Mauritania`,
  "countries.MS": `Montserrat`,
  "countries.MT": `Malta`,
  "countries.MU": `Mauritius`,
  "countries.MV": `Maldives`,
  "countries.MW": `Malawi`,
  "countries.MX": `Mexico`,
  "countries.MY": `Malaysia`,
  "countries.MZ": `Mozambique`,
  "countries.NA": `Namibia`,
  "countries.NC": `New Caledonia`,
  "countries.NE": `Niger`,
  "countries.NF": `Norfolk Island`,
  "countries.NG": `Nigeria`,
  "countries.NI": `Nicaragua`,
  "countries.NL": `Netherlands`,
  "countries.NO": `Norway`,
  "countries.NP": `Nepal`,
  "countries.NR": `Nauru`,
  "countries.NU": `Niue`,
  "countries.NZ": `New Zealand`,
  "countries.OM": `Oman`,
  "countries.PA": `Panama`,
  "countries.PE": `Peru`,
  "countries.PF": `French Polynesia`,
  "countries.PG": `Papua New Guinea`,
  "countries.PH": `Philippines`,
  "countries.PK": `Pakistan`,
  "countries.PL": `Poland`,
  "countries.PM": `Saint Pierre and Miquelon`,
  "countries.PN": `Pitcairn`,
  "countries.PR": `Puerto Rico`,
  "countries.PS": `Palestine`,
  "countries.PT": `Portugal`,
  "countries.PW": `Palau`,
  "countries.PY": `Paraguay`,
  "countries.QA": `Qatar`,
  "countries.RE": `Réunion`,
  "countries.RO": `Romania`,
  "countries.RS": `Serbia`,
  "countries.RU": `Russia`,
  "countries.RW": `Rwanda`,
  "countries.SA": `Saudi Arabia`,
  "countries.SB": `Solomon Islands`,
  "countries.SC": `Seychelles`,
  "countries.SD": `Sudan`,
  "countries.SE": `Sweden`,
  "countries.SG": `Singapore`,
  "countries.SH": `Saint Helena`,
  "countries.SI": `Slovenia`,
  "countries.SJ": `Svalbard and Jan Mayen`,
  "countries.SK": `Slovakia`,
  "countries.SL": `Sierra Leone`,
  "countries.SM": `San Marino`,
  "countries.SN": `Senegal`,
  "countries.SO": `Somalia`,
  "countries.SR": `Suriname`,
  "countries.SS": `South Sudan`,
  "countries.ST": `Sao Tome and Principe`,
  "countries.SV": `El Salvador`,
  "countries.SX": `Sint Maarten`,
  "countries.SY": `Syria`,
  "countries.SZ": `Eswatini`,
  "countries.TC": `Turks and Caicos Islands`,
  "countries.TD": `Chad`,
  "countries.TF": `French Southern Territories`,
  "countries.TG": `Togo`,
  "countries.TH": `Thailand`,
  "countries.TJ": `Tajikistan`,
  "countries.TK": `Tokelau`,
  "countries.TL": `Timor-Leste`,
  "countries.TM": `Turkmenistan`,
  "countries.TN": `Tunisia`,
  "countries.TO": `Tonga`,
  "countries.TR": `Turkey`,
  "countries.TT": `Trinidad and Tobago`,
  "countries.TV": `Tuvalu`,
  "countries.TW": `Taiwan`,
  "countries.TZ": `Tanzania`,
  "countries.UA": `Ukraine`,
  "countries.UG": `Uganda`,
  "countries.UM": `United States Minor Outlying Islands`,
  "countries.US": `United States`,
  "countries.UY": `Uruguay`,
  "countries.UZ": `Uzbekistan`,
  "countries.VA": `Vatican City`,
  "countries.VC": `Saint Vincent and the Grenadines`,
  "countries.VE": `Venezuela`,
  "countries.VG": `British Virgin Islands`,
  "countries.VI": `U.S. Virgin Islands`,
  "countries.VN": `Vietnam`,
  "countries.VU": `Vanuatu`,
  "countries.WF": `Wallis and Futuna`,
  "countries.WS": `Samoa`,
  "countries.XK": `Kosovo`,
  "countries.YE": `Yemen`,
  "countries.YT": `Mayotte`,
  "countries.ZA": `South Africa`,
  "countries.ZM": `Zambia`,
  "countries.ZW": `Zimbabwe`,
}};

export { locales as default };
//# sourceMappingURL=_.locale.json@a75d4fdc8302dc8cc25be6a7eff37c38.mjs.map
