"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import styles from '../../Breadcrumb.module.scss.mjs';
import clsx from 'clsx';
import '@tabler/icons-react';
import '../../../Icon/Icon.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconChevronRight } from '../../../Icon/components/icons/IconChevronRight.mjs';

const BreadcrumbItem = (props) => {
  const { children } = props;
  const rootClassName = clsx(styles.breadcrumbItem);
  return /* @__PURE__ */ jsxs(Aria.Breadcrumb, { className: rootClassName, children: [
    children,
    /* @__PURE__ */ jsx(IconChevronRight, { size: "s", className: styles.icon })
  ] });
};

export { BreadcrumbItem, BreadcrumbItem as default };
//# sourceMappingURL=BreadcrumbItem.mjs.map
