"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import styles from './Calendar.module.scss.mjs';
import { CalendarHeader } from './components/CalendarHeader/CalendarHeader.mjs';
import clsx from 'clsx';

const RangeCalendar = () => {
  return /* @__PURE__ */ jsxs(Aria.RangeCalendar, { className: clsx(styles.calendar, styles.range), children: [
    /* @__PURE__ */ jsx(CalendarHeader, {}),
    /* @__PURE__ */ jsx(Aria.CalendarGrid, { children: (date) => /* @__PURE__ */ jsx(Aria.CalendarCell, { date }) })
  ] });
};

export { RangeCalendar, RangeCalendar as default };
//# sourceMappingURL=RangeCalendar.mjs.map
