"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Recharts from 'recharts';
import tokens from '../../../../design-tokens/dist/variables.json.mjs';

const CartesianGrid = (props) => {
  const { vertical = false, ...rest } = props;
  return /* @__PURE__ */ jsx(
    Recharts.CartesianGrid,
    {
      vertical,
      ...rest,
      stroke: tokens["cartesian-grid"].color.value,
      strokeWidth: tokens["cartesian-grid"]["stroke-width"].value
    }
  );
};

export { CartesianGrid, CartesianGrid as default };
//# sourceMappingURL=CartesianGrid.mjs.map
