"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import tokens from '../../../../../../design-tokens/dist/variables.json.mjs';
import { Legend } from '../../../Legend/Legend.mjs';
import { LegendItem } from '../../../Legend/components/LegendItem/LegendItem.mjs';

const LegendContent = (props) => {
  const { formatter, payload } = props;
  return /* @__PURE__ */ jsx(Legend, { children: payload?.filter(
    (entry) => entry.payload && "fill" in entry.payload && entry.payload?.fill !== "none"
  ).map((entry, index) => {
    return /* @__PURE__ */ jsx(
      LegendItem,
      {
        color: entry.payload && "fill" in entry.payload ? entry.payload?.fill : tokens.color.gray[100].value,
        children: entry.dataKey ? formatter ? formatter(entry.dataKey?.toString()) : entry.dataKey.toString() : ""
      },
      `legendItem-${index}`
    );
  }) });
};

export { LegendContent as default };
//# sourceMappingURL=LegendContent.mjs.map
