"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import styles from './DateInput.module.scss.mjs';
import * as Aria from 'react-aria-components';
import { Button } from '../../../Button/Button.mjs';
import '@tabler/icons-react';
import '../../../Icon/Icon.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconDate } from '../../../Icon/components/icons/IconDate.mjs';

const DateInput = (props) => {
  const { isDisabled } = props;
  return /* @__PURE__ */ jsxs(Aria.Group, { className: styles.dateInput, children: [
    /* @__PURE__ */ jsx(Aria.DateInput, { children: (segment) => /* @__PURE__ */ jsx(Aria.DateSegment, { segment }) }),
    /* @__PURE__ */ jsx(Button, { variant: "plain", color: "secondary", isDisabled, children: /* @__PURE__ */ jsx(IconDate, {}) })
  ] });
};

export { DateInput, DateInput as default };
//# sourceMappingURL=DateInput.mjs.map
