"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import styles from '../DonutChart.module.scss.mjs';
import 'react';
import { useNumberFormatter } from 'react-aria';

const DonutChartValue = (props) => {
  const { value = 0, formatOptions, children } = props;
  const formatter = useNumberFormatter(formatOptions);
  if (children) {
    return /* @__PURE__ */ jsx("span", { className: styles.value, children });
  }
  const formattedValue = formatOptions ? formatter.format(value) : `${value} %`;
  return /* @__PURE__ */ jsx("span", { className: styles.value, children: /* @__PURE__ */ jsx("b", { children: formattedValue }) });
};

export { DonutChartValue };
//# sourceMappingURL=DonutChartValue.mjs.map
