"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './FieldDescription.module.scss.mjs';
import clsx from 'clsx';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import { Text } from '../Text/Text.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const FieldDescription = flowComponent("FieldDescription", (props) => {
  const { children, className, ref, ...rest } = props;
  const rootClassName = clsx(styles.fieldDescription, className);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Text, { slot: "description", ...rest, className: rootClassName, ref, children }) });
});

export { FieldDescription, FieldDescription as default };
//# sourceMappingURL=FieldDescription.mjs.map
