"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import clsx from 'clsx';
import styles from './InlineCode.module.scss.mjs';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';

const InlineCode = (props) => {
  const { children, className, color = "default", ...rest } = props;
  const rootClassName = clsx(styles.inlineCode, className, styles[color]);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx("code", { ...rest, className: rootClassName, children }) });
};

export { InlineCode, InlineCode as default };
//# sourceMappingURL=InlineCode.mjs.map
