"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react-aria-components';
import '../../../OverlayTrigger/components/MenuTrigger/MenuTrigger.mjs';
import { OverlayTrigger } from '../../../OverlayTrigger/OverlayTrigger.mjs';
import DialogTriggerView from '../../../../views/DialogTriggerView.mjs';

const LightBoxTrigger = (props) => {
  const { children, ...triggerProps } = props;
  return /* @__PURE__ */ jsx(
    OverlayTrigger,
    {
      overlayType: "LightBox",
      ...triggerProps,
      component: DialogTriggerView,
      children
    }
  );
};

export { LightBoxTrigger, LightBoxTrigger as default };
//# sourceMappingURL=LightBoxTrigger.mjs.map
