"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import MenuItemView from '../../../../../../views/MenuItemView.mjs';
import 'invariant';
import 'luxon';
import 'react-aria-components';
import 'clsx';
import '../../../../../../lib/propsContext/propsContext.mjs';
import '../../../../../../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../../../../../../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import '@tabler/icons-react';
import '../../../../../Icon/Icon.mjs';
import '../../../../../Heading/Heading.mjs';
import '../../../../../Text/Text.mjs';
import locales from '../../../../../../../../_virtual/_.locale.json@8d5024994f97657f895a4e2a188d2d8a.mjs';
import { useLocalizedStringFormatter } from 'react-aria';
import '../../../../../Button/Button.mjs';
import '../../../../../ContextMenu/ContextMenu.mjs';
import '../../../../../MenuItem/MenuItem.mjs';
import '../../../../../ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import '../../../../../ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import '../../../../../ColumnLayout/ColumnLayout.mjs';
import '../../../ListSummary/ListSummary.mjs';
import { useList } from '../../../../hooks/useList.mjs';
import '../../../../List.mjs';

const ViewModeMenuItem = (props) => {
  const { viewMode } = props;
  const list = useList();
  const stringFormatter = useLocalizedStringFormatter(locales);
  return /* @__PURE__ */ jsx(
    MenuItemView,
    {
      id: viewMode,
      onAction: () => {
        list.setViewMode(viewMode);
      },
      children: stringFormatter.format(`list.settings.viewMode.${viewMode}`)
    }
  );
};

export { ViewModeMenuItem };
//# sourceMappingURL=ViewModeMenuItem.mjs.map
