"use client"
/* */
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import 'react';
import '@tabler/icons-react';
import '../../../../../../Icon/Icon.mjs';
import '../../../../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconChevronDown } from '../../../../../../Icon/components/icons/IconChevronDown.mjs';
import { IconChevronUp } from '../../../../../../Icon/components/icons/IconChevronUp.mjs';
import locales from '../../../../../../../../../_virtual/_.locale.json@8d5024994f97657f895a4e2a188d2d8a.mjs';
import { useLocalizedStringFormatter } from 'react-aria';
import ButtonView from '../../../../../../../views/ButtonView.mjs';

const AccordionButton = (props) => {
  const { isExpanded, toggle, children, contentElementId } = props;
  const stringFormatter = useLocalizedStringFormatter(locales);
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(
      ButtonView,
      {
        variant: "plain",
        color: "secondary",
        onPress: toggle,
        "aria-label": stringFormatter.format(
          "list.toggleExpandButton." + (isExpanded ? "collapse" : "expand")
        ),
        "aria-controls": contentElementId,
        "aria-expanded": isExpanded,
        children: isExpanded ? /* @__PURE__ */ jsx(IconChevronUp, {}) : /* @__PURE__ */ jsx(IconChevronDown, {})
      }
    ),
    isExpanded && children
  ] });
};

export { AccordionButton };
//# sourceMappingURL=AccordionButton.mjs.map
