"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Aria from 'react-aria-components';
import styles from '../../components/Item/Item.module.scss.mjs';
import clsx from 'clsx';

const GridListItem = (props) => {
  const { hasAction, isTile, ...restProps } = props;
  return /* @__PURE__ */ jsx(
    Aria.GridListItem,
    {
      ...restProps,
      className: (renderProps) => clsx(
        styles.item,
        hasAction && styles.hasAction,
        isTile && styles.tile,
        renderProps.isSelected && styles.isSelected
      )
    }
  );
};

export { GridListItem, GridListItem as default };
//# sourceMappingURL=GridListItem.mjs.map
