"use client"
/* */
import { TableColumn } from './TableColumn.mjs';

class TableHeader {
  table;
  componentProps;
  columns;
  constructor(table, shape = {}) {
    const { columns = [], ...rest } = shape;
    this.table = table;
    this.columns = columns.map((colShape) => new TableColumn(this, colShape));
    this.componentProps = rest;
  }
}

export { TableHeader };
//# sourceMappingURL=TableHeader.mjs.map
