"use client"
/* */
import { List } from './List.mjs';
import { TypedListFilter } from './setupComponents/ListFilter.mjs';
import { TypedListSorting } from './setupComponents/ListSorting.mjs';
import { TypedListItem } from './setupComponents/ListItem.mjs';
import { TypedListLoaderAsync } from './setupComponents/ListLoaderAsync.mjs';
import { TypedListLoaderAsyncResource } from './setupComponents/ListLoaderAsyncResource.mjs';
import { TypedListStaticData } from './setupComponents/ListStaticData.mjs';
import { TypedListSearch } from './setupComponents/ListSearch.mjs';
import { ListItemView } from './components/ListItemView/ListItemView.mjs';
import { TableColumn } from './setupComponents/TableColumn.mjs';
import { TableCell } from './setupComponents/TableCell.mjs';
import { TableHeader } from './setupComponents/TableHeader.mjs';
import { TableRow } from './setupComponents/TableRow.mjs';
import { TableBody } from './setupComponents/TableBody.mjs';
import { Table } from './setupComponents/Table.mjs';

const TypedList = () => List;
const typedList = () => ({
  List: TypedList(),
  Filter: TypedListFilter(),
  Search: TypedListSearch(),
  Sorting: TypedListSorting(),
  Item: TypedListItem(),
  ItemView: ListItemView,
  TableHeader,
  TableColumn,
  TableBody,
  TableRow,
  TableCell,
  Table,
  StaticData: TypedListStaticData(),
  LoaderAsync: TypedListLoaderAsync(),
  LoaderAsyncResource: TypedListLoaderAsyncResource()
});

export { TypedList, typedList };
//# sourceMappingURL=typedList.mjs.map
