"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconPending } from '../Icon/components/icons/IconPending.mjs';
import styles from './LoadingSpinner.module.scss.mjs';
import clsx from 'clsx';

const LoadingSpinner = (props) => {
  const { className, color = "default", ...rest } = props;
  const rootClassName = clsx(
    styles.loadingSpinner,
    color !== "default" && styles[color],
    className
  );
  return /* @__PURE__ */ jsx(IconPending, { className: rootClassName, ...rest });
};

export { LoadingSpinner, LoadingSpinner as default };
//# sourceMappingURL=LoadingSpinner.mjs.map
