"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import styles from './MessageSeparator.module.scss.mjs';
import 'react';
import clsx from 'clsx';
import { Separator } from '../Separator/Separator.mjs';
import { Content } from '../Content/Content.mjs';

const MessageSeparator = (props) => {
  const { children, className } = props;
  const rootClassName = clsx(styles.messageSeparator, className);
  return /* @__PURE__ */ jsxs("span", { className: rootClassName, children: [
    /* @__PURE__ */ jsx(Separator, { className: styles.separator }),
    /* @__PURE__ */ jsx(Content, { className: styles.content, children })
  ] });
};

export { MessageSeparator, MessageSeparator as default };
//# sourceMappingURL=MessageSeparator.mjs.map
