"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import { Popover } from '../Popover/Popover.mjs';
import clsx from 'clsx';
import styles from './Options.module.scss.mjs';

const Options = (props) => {
  const { className, children, controller, ...rest } = props;
  const rootClassName = clsx(styles.options, className);
  return /* @__PURE__ */ jsx(Popover, { className: styles.popover, controller, children: /* @__PURE__ */ jsx(Aria.ListBox, { className: rootClassName, ...rest, children }) });
};

export { Options, Options as default };
//# sourceMappingURL=Options.mjs.map
