"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react-aria-components';
import '../../../OverlayTrigger/components/MenuTrigger/MenuTrigger.mjs';
import { OverlayTrigger } from '../../../OverlayTrigger/OverlayTrigger.mjs';
import { flowComponent } from '../../../../lib/componentFactory/flowComponent.mjs';
import DialogTriggerView from '../../../../views/DialogTriggerView.mjs';

const PopoverTrigger = flowComponent("PopoverTrigger", (props) => {
  const { children, ...triggerProps } = props;
  return /* @__PURE__ */ jsx(
    OverlayTrigger,
    {
      overlayType: "Popover",
      ...triggerProps,
      component: DialogTriggerView,
      children
    }
  );
});

export { PopoverTrigger, PopoverTrigger as default };
//# sourceMappingURL=PopoverTrigger.mjs.map
