"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import clsx from 'clsx';
import styles from './Separator.module.scss.mjs';
import * as Aria from 'react-aria-components';

const Separator = (props) => {
  const { className, ...rest } = props;
  const rootClassName = clsx(styles.separator, className);
  return /* @__PURE__ */ jsx(Aria.Separator, { elementType: "hr", className: rootClassName, ...rest });
};

export { Separator, Separator as default };
//# sourceMappingURL=Separator.mjs.map
