"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './Skeleton.module.scss.mjs';
import clsx from 'clsx';

const Skeleton = (props) => {
  const { width, height, className, ...rest } = props;
  const rootClassName = clsx(styles.skeleton, className);
  return /* @__PURE__ */ jsx(
    "div",
    {
      className: rootClassName,
      "aria-hidden": true,
      style: { height, width },
      ...rest
    }
  );
};

export { Skeleton, Skeleton as default };
//# sourceMappingURL=Skeleton.mjs.map
