"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from '../../Table.module.scss.mjs';

const TableHeader = (props) => {
  const { children, className, ...rest } = props;
  const rootClassName = clsx(styles.header, className);
  return /* @__PURE__ */ jsx(Aria.TableHeader, { className: rootClassName, ...rest, children });
};

export { TableHeader, TableHeader as default };
//# sourceMappingURL=TableHeader.mjs.map
