"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { createContext, useContext, useMemo } from 'react';

const context = createContext({});
const useTranslationProvider = () => useContext(context);
const TranslationProvider = (props) => {
  const { children, translations } = props;
  return /* @__PURE__ */ jsx(context.Provider, { value: useMemo(() => translations, [translations]), children });
};

export { TranslationProvider, TranslationProvider as default, useTranslationProvider };
//# sourceMappingURL=TranslationProvider.mjs.map
