"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Recharts from 'recharts';
import tokens from '../../../../design-tokens/dist/variables.json.mjs';

const XAxis = (props) => {
  return /* @__PURE__ */ jsx(
    Recharts.XAxis,
    {
      ...props,
      fontSize: tokens.axis["font-size"].value,
      tick: {
        fill: tokens.axis["text-color"].value
      },
      tickMargin: parseInt(tokens.axis.spacing.value),
      tickSize: parseInt(tokens.axis["tick-size"].value)
    }
  );
};

export { XAxis, XAxis as default };
//# sourceMappingURL=XAxis.mjs.map
