"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import '../components/ContextMenu/ContextMenu.mjs';
import '../components/MenuItem/MenuItem.mjs';
import '../components/ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import { ContextMenuContent } from '../components/ContextMenu/components/ContextMenuContent/ContextMenuContent.mjs';
import '../components/ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const ContextMenuContentView = (props) => {
  const View = useContext(viewComponentContext)["ContextMenuContent"] ?? ContextMenuContent;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { ContextMenuContentView as default };
//# sourceMappingURL=ContextMenuContentView.mjs.map
