"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import '../components/ContextMenu/ContextMenu.mjs';
import '../components/MenuItem/MenuItem.mjs';
import '../components/ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import 'react-aria-components';
import { ContextMenuSection } from '../components/ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const ContextMenuSectionView = (props) => {
  const View = useContext(viewComponentContext)["ContextMenuSection"] ?? ContextMenuSection;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { ContextMenuSectionView as default };
//# sourceMappingURL=ContextMenuSectionView.mjs.map
