"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { DialogTrigger } from '../components/OverlayTrigger/components/DialogTrigger/DialogTrigger.mjs';
import '../components/OverlayTrigger/components/MenuTrigger/MenuTrigger.mjs';
import 'mobx';
import '../lib/controller/overlay/context.mjs';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';

const DialogTriggerView = (props) => {
  const View = useContext(viewComponentContext)["DialogTrigger"] ?? DialogTrigger;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { DialogTriggerView as default };
//# sourceMappingURL=DialogTriggerView.mjs.map
