"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'invariant';
import 'luxon';
import 'react-aria-components';
import 'clsx';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import '@tabler/icons-react';
import '../components/Icon/Icon.mjs';
import '../components/Heading/Heading.mjs';
import '../components/Text/Text.mjs';
import 'react-aria';
import { GridListItem } from '../components/List/components/Items/views/GridListItem/GridListItem.mjs';
import '../components/Button/Button.mjs';
import '../components/ContextMenu/ContextMenu.mjs';
import '../components/MenuItem/MenuItem.mjs';
import '../components/ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import '../components/ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import '../components/ColumnLayout/ColumnLayout.mjs';
import '../components/List/components/ListSummary/ListSummary.mjs';
import '../components/List/listContext.mjs';
import '../components/List/List.mjs';

const ItemsGridListItemView = (props) => {
  const View = useContext(viewComponentContext)["ItemsGridListItem"] ?? GridListItem;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { ItemsGridListItemView as default };
//# sourceMappingURL=ItemsGridListItemView.mjs.map
