"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { SkeletonText } from '../components/SkeletonText/SkeletonText.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const SkeletonTextView = (props) => {
  const View = useContext(viewComponentContext)["SkeletonText"] ?? SkeletonText;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { SkeletonTextView as default };
//# sourceMappingURL=SkeletonTextView.mjs.map
