"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import 'clsx';
import { TableCell } from '../components/Table/components/TableCell/TableCell.mjs';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';

const TableCellView = (props) => {
  const View = useContext(viewComponentContext)["TableCell"] ?? TableCell;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableCellView as default };
//# sourceMappingURL=TableCellView.mjs.map
