"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import 'clsx';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import { TableRow } from '../components/Table/components/TableRow/TableRow.mjs';

const TableRowView = (props) => {
  const View = useContext(viewComponentContext)["TableRow"] ?? TableRow;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableRowView as default };
//# sourceMappingURL=TableRowView.mjs.map
