"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import 'clsx';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import { Table } from '../components/Table/Table.mjs';

const TableView = (props) => {
  const View = useContext(viewComponentContext)["Table"] ?? Table;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableView as default };
//# sourceMappingURL=TableView.mjs.map
