export type ActionStateValue = "isIdle" | "isSucceeded" | "isPending" | "isExecuting" | "isFailed";
export declare class ActionState {
    private showFeedback?;
    state: ActionStateValue;
    private setPendingTimeout;
    error: unknown;
    private isAsync;
    constructor();
    static useNew(): ActionState;
    updateState(newState: ActionStateValue): void;
    useValue(): ActionStateValue;
    useIsBusy(): boolean;
    get isBusy(): boolean;
    onAsyncStart(): void;
    onSucceeded(): Promise<void>;
    onFailed(error: unknown): Promise<void>;
    withFeedback(feedback?: boolean): ActionState;
    private startFailedFeedback;
    private startSucceededFeedback;
    private resetAfterDone;
    private onDone;
    private startPending;
}
//# sourceMappingURL=ActionState.d.ts.map