import { FC, PropsWithChildren } from 'react';
import { ActionState } from './ActionState';
export declare class ActionStateContext {
    states: Set<ActionState>;
    constructor();
    static useNew(): ActionStateContext;
    static useRegisterState(state: ActionState): void;
    addState(state: ActionState): void;
    removeState(state: ActionState): void;
    useIsBusy(): boolean;
    get isBusy(): boolean;
}
export declare const ActionStateContextProvider: FC<PropsWithChildren>;
export declare const useActionStateContext: () => ActionStateContext;
//# sourceMappingURL=ActionStateContext.d.ts.map