import { FC } from 'react';
import { CategoricalColors } from '../../../../lib/tokens/CategoricalColors';
import * as Recharts from "recharts";
export interface AreaProps extends Pick<Recharts.AreaProps, "className" | "dataKey" | "stackId" | "fillOpacity" | "key" | "xAxisId" | "yAxisId" | "type" | "unit"> {
    /** The color of the area. @default "sea-green" */
    color?: CategoricalColors;
}
/** @flr-generate all */
export declare const Area: FC<AreaProps>;
export default Area;
//# sourceMappingURL=Area.d.ts.map