import { FC, PropsWithChildren } from 'react';
import { BreadcrumbItemProps } from './components/BreadcrumbItem';
import * as Aria from "react-aria-components";
export interface BreadcrumbProps extends Omit<Aria.BreadcrumbsProps<BreadcrumbItemProps>, "children">, PropsWithChildren {
    /** The color of the breadcrumb. @default "primary" */
    color?: "primary" | "dark" | "light";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Breadcrumb: FC<BreadcrumbProps>;
export default Breadcrumb;
//# sourceMappingURL=Breadcrumb.d.ts.map