import { FC } from 'react';
import * as Recharts from "recharts";
export type ChartLegendFormatter = (text: string) => string;
export interface WithChartLegendFormatters {
    /**
     * A formatter function for the texts of the Legend. Can be used for purposes
     * like translations.
     */
    formatter?: ChartLegendFormatter;
}
export type ChartLegendProps = Pick<Recharts.LegendProps, "className" | "verticalAlign"> & WithChartLegendFormatters;
/** @flr-generate all */
export declare const ChartLegend: FC<ChartLegendProps>;
export default ChartLegend;
//# sourceMappingURL=ChartLegend.d.ts.map