import { PropsWithChildren } from 'react';
import { FlowComponentProps } from '../../../../lib/componentFactory/flowComponent';
import { ContextMenuSelectionMode } from '../../lib';
import { MenuItemProps } from '../../../MenuItem';
import * as Aria from "react-aria-components";
export type ContextMenuSectionProps = PropsWithChildren & FlowComponentProps & Pick<Aria.MenuSectionProps<MenuItemProps>, "defaultSelectedKeys" | "selectedKeys"> & {
    selectionMode?: ContextMenuSelectionMode;
};
/** @flr-generate all */
export declare const ContextMenuSection: import('react').FunctionComponent<{
    children?: import('react').ReactNode | undefined;
} & FlowComponentProps<HTMLDivElement> & Pick<Aria.MenuSectionProps<MenuItemProps>, "defaultSelectedKeys" | "selectedKeys"> & {
    selectionMode?: ContextMenuSelectionMode;
} & import('react').RefAttributes<HTMLDivElement>>;
export default ContextMenuSection;
//# sourceMappingURL=ContextMenuSection.d.ts.map