import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface FieldErrorProps extends PropsWithChildren<Omit<Aria.FieldErrorProps, "children">>, FlowComponentProps {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const FieldError: React.FunctionComponent<FieldErrorProps & React.RefAttributes<HTMLDivElement>>;
export default FieldError;
//# sourceMappingURL=FieldError.d.ts.map