import { ComponentProps, FC, PropsWithChildren } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
export interface HeaderNavigationProps extends PropsWithChildren<ComponentProps<"nav">>, PropsWithClassName {
    /** The color of the header navigation. @default "primary" */
    color?: "primary" | "dark" | "light";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const HeaderNavigation: FC<HeaderNavigationProps>;
export default HeaderNavigation;
//# sourceMappingURL=HeaderNavigation.d.ts.map