import { PropsWithChildren, SVGAttributes, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithStatus } from '../../lib/types/props';
type SvgAttributeProps = SVGAttributes<SVGSVGElement>;
export interface IconProps extends PropsWithChildren<Omit<SvgAttributeProps, "name">>, FlowComponentProps, PropsWithStatus {
    /** The size of the icon. @default "m" */
    size?: "s" | "m" | "l";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Icon: React.FunctionComponent<IconProps & React.RefAttributes<HTMLDivElement>>;
export default Icon;
//# sourceMappingURL=Icon.d.ts.map