import { ComponentProps, FC, PropsWithChildren } from 'react';
export interface InlineCodeProps extends PropsWithChildren<ComponentProps<"code">> {
    /** The color schema of the inline code component. */
    color?: "default" | "light" | "dark";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const InlineCode: FC<InlineCodeProps>;
export default InlineCode;
//# sourceMappingURL=InlineCode.d.ts.map