import { PropsWithChildren, default as React } from 'react';
import { PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface LayoutCardProps extends PropsWithChildren, PropsWithElementType<"div" | "main" | "footer" | "header">, FlowComponentProps {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const LayoutCard: React.FunctionComponent<LayoutCardProps & React.RefAttributes<HTMLDivElement>>;
export default LayoutCard;
//# sourceMappingURL=LayoutCard.d.ts.map