import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithChildren } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { OverlayController } from '../../lib/controller';
export interface LightBoxProps extends PropsWithChildren, FlowComponentProps, PropsWithClassName {
    /** An overlay controller to control the light box state. */
    controller?: OverlayController;
    /**
     * Whether content can be displayed larger than the available space in the
     * screen. @default true
     */
    fitScreen?: boolean;
}
export declare const LightBox: import('react').FunctionComponent<LightBoxProps & import('react').RefAttributes<HTMLDivElement>>;
export default LightBox;
//# sourceMappingURL=LightBox.d.ts.map