import { PropsWithChildren, ReactNode } from 'react';
import { ListViewMode } from '../../../../model/types';
import { ColumnLayoutProps } from '../../../../../ColumnLayout';
export type ListItemViewContentProps = PropsWithChildren & Pick<ColumnLayoutProps, "s" | "m" | "l"> & {
    title?: ReactNode;
    subTitle?: ReactNode;
    avatar?: ReactNode;
    button?: ReactNode;
    bottom?: ReactNode;
    checkbox?: ReactNode;
    viewMode?: ListViewMode;
};
/** @flr-generate all */
export declare const ListItemViewContent: (props: ListItemViewContentProps) => import("react/jsx-runtime").JSX.Element;
export default ListItemViewContent;
//# sourceMappingURL=ListItemViewContent.d.ts.map