import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../../../lib/componentFactory/flowComponent';
export interface ListSummaryProps extends FlowComponentProps, PropsWithChildren {
    /** Whether the summary is placed above or underneath the list @default: "top" */
    position?: "top" | "bottom";
}
/** @flr-generate all */
export declare const ListSummary: React.FunctionComponent<ListSummaryProps & React.RefAttributes<HTMLDivElement>>;
export default ListSummary;
//# sourceMappingURL=ListSummary.d.ts.map