import { ItemCollection } from './ItemCollection';
import { Row } from '@tanstack/react-table';
export declare class Item<T> {
    readonly id: string;
    readonly data: T;
    readonly collection: ItemCollection<T>;
    constructor(collection: ItemCollection<T>, id: string, data: T);
    static fromRow<T>(collection: ItemCollection<T>, row: Row<T>): Item<T>;
}
//# sourceMappingURL=Item.d.ts.map