import { default as List } from '../List';
import { BatchesControllerShape } from './types';
export declare class BatchesController<T> {
    readonly batchSize: number;
    private readonly list;
    constructor(list: List<T>, shape?: BatchesControllerShape);
    private get reactTable();
    getBatchIndex(): number;
    hasNextBatch(): boolean;
    getTotalItemsCount(): number;
    getVisibleItemsCount(): number;
    updateItemTotalCount(value: number): void;
    reset(): void;
    nextBatch(): void;
}
//# sourceMappingURL=BatchesController.d.ts.map