import { default as List } from '../List';
import { SearchFieldRenderComponent, SearchShape, SearchValue } from './types';
import { InitialTableState } from '@tanstack/react-table';
export declare class Search<T> {
    readonly list: List<T>;
    readonly render?: SearchFieldRenderComponent;
    readonly textFieldProps: SearchShape<T>["textFieldProps"];
    private onUpdateCallbacks;
    private readonly defaultValue?;
    constructor(list: List<T>, searchShape: SearchShape<T>);
    get value(): SearchValue;
    get isSet(): boolean;
    private callOnUpdateCallbacks;
    updateInitialState(initialState: InitialTableState): void;
    setValue(value: SearchValue): void;
    clear(): void;
    onUpdated(cb: () => unknown): void;
}
//# sourceMappingURL=Search.d.ts.map