import { ComponentType } from 'react';
import { SearchFieldProps } from '../../../SearchField';
type SupportedSearchFieldProps = Pick<SearchFieldProps, "autoFocus">;
interface SearchFieldRenderProps extends SupportedSearchFieldProps {
    onChange: (value: SearchValue) => unknown;
    value: SearchValue;
    autoSubmit?: boolean;
}
export type SearchFieldRenderComponent = ComponentType<SearchFieldRenderProps>;
export type SearchValue = string | undefined;
export interface SearchShape<IgnoredT> {
    render?: SearchFieldRenderComponent;
    textFieldProps: SupportedSearchFieldProps;
    defaultValue?: string;
}
export {};
//# sourceMappingURL=types.d.ts.map