import { PropertyName } from '../types';
import { SortDirection, SortingFn as SortingFunction } from '@tanstack/react-table';
export type SortingDefaultMode = boolean | "hidden";
export type SortingFn<T> = SortingFunction<T>;
export interface SortingShape<T> {
    property: PropertyName<T>;
    name?: string;
    direction?: SortDirection;
    defaultEnabled?: SortingDefaultMode;
    customSortingFn?: SortingFn<T>;
}
//# sourceMappingURL=types.d.ts.map