import { TableShape, TableSupportedComponentProps } from './types';
import { default as List } from '../List';
import { TableHeader } from './TableHeader';
import { TableBody } from './TableBody';
export declare class Table<T> {
    readonly list: List<T>;
    readonly header: TableHeader<T>;
    readonly body: TableBody<T>;
    readonly componentProps: TableSupportedComponentProps;
    constructor(list: List<T>, shape?: TableShape<T>);
}
//# sourceMappingURL=Table.d.ts.map