import { FilterShape } from '../model/filter/types';
import { ReactNode } from 'react';
import { PropertyName, PropertyValue, PropertyValueRenderMethod } from '../model/types';
type Props<T, TProp extends PropertyName<T>, TMatcherValue> = Omit<FilterShape<T, TProp, TMatcherValue>, "type" | "renderItem"> & {
    children?: PropertyValueRenderMethod<TMatcherValue>;
};
export declare const ListFilter: <T, const TProp extends PropertyName<T> = PropertyName<T>, TMatcherValue = PropertyValue<T, TProp>>(ignoredProps: Props<T, TProp, TMatcherValue>) => null;
export declare const TypedListFilter: <T>() => <const TProp extends PropertyName<T>, TMatcherValue = PropertyValue<T, TProp>>(props: Props<T, TProp, TMatcherValue>) => ReactNode;
export {};
//# sourceMappingURL=ListFilter.d.ts.map