import { ComponentType } from 'react';
import { TableCellShape } from '../model/table/types';
import { RenderItemFn } from '..';
type Props<T> = Omit<TableCellShape<T>, "renderFn"> & {
    children: RenderItemFn<T>;
};
export declare const TableCell: <T>(ignoredProps: Props<T>) => null;
export declare const TypedTableCell: <T>() => ComponentType<Props<T>>;
export {};
//# sourceMappingURL=TableCell.d.ts.map