export interface Domain {
    id: string;
    hostname: string;
    domain: string;
    type: "Subdomain" | "Domain";
    verified: boolean;
    tld: string;
}
export declare const getTypes: () => Promise<("Subdomain" | "Domain")[]>;
interface Request {
    pagination?: {
        limit: number;
        skip: number;
    };
    filter?: {
        types?: string[];
    };
    search?: string;
}
interface Response {
    data: Domain[];
    totalCount: number;
}
export declare const getDomains: (req: Request) => Promise<Response>;
export declare const domains: Domain[];
export declare const types: ("Subdomain" | "Domain")[];
export {};
//# sourceMappingURL=domainApi.d.ts.map