import { PropsWithChildren, default as React } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface MessageProps extends PropsWithChildren, PropsWithClassName, FlowComponentProps {
    /** Determines the color and orientation of the message. @default "responder" */
    type?: "responder" | "sender";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Message: React.FunctionComponent<MessageProps & React.RefAttributes<HTMLDivElement>>;
export default Message;
//# sourceMappingURL=Message.d.ts.map