import { ComponentProps, PropsWithChildren, default as React } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface NavigationProps extends PropsWithChildren<ComponentProps<"nav">>, PropsWithClassName, FlowComponentProps<HTMLElement> {
}
/** @flr-generate all */
export declare const Navigation: React.FunctionComponent<NavigationProps & React.RefAttributes<HTMLElement>>;
export default Navigation;
//# sourceMappingURL=Navigation.d.ts.map