import { NotificationProps } from '../Notification';
import { default as Timer } from '../../lib/timer/Timer';
import { ReactElement } from 'react';
interface NotificationMetaData {
    readonly id: number;
    readonly createdAt: number;
    readonly autoCloseTimer: Timer;
}
export interface NotificationData {
    readonly element: ReactElement<NotificationProps>;
    readonly meta: NotificationMetaData;
}
export declare class NotificationController {
    readonly notificationsData: Map<number, NotificationData>;
    private id;
    constructor();
    static useNew(): NotificationController;
    useNotifications(): NotificationData[];
    add(notification: ReactElement<NotificationProps>): number;
    remove(id: number): void;
}
export default NotificationController;
//# sourceMappingURL=NotificationController.d.ts.map