import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface RadioProps extends PropsWithChildren<Omit<Aria.RadioProps, "children">>, FlowComponentProps<HTMLLabelElement> {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Radio: React.FunctionComponent<RadioProps & React.RefAttributes<HTMLLabelElement>>;
export default Radio;
//# sourceMappingURL=Radio.d.ts.map