import { FC } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
export interface RatingProps extends PropsWithClassName {
    /** The value sets the amount of filled stars. @default: 0 */
    value?: 0 | 1 | 2 | 3 | 4 | 5;
    /** The size of the component. @default: "m" */
    size?: "s" | "m";
}
/** @flr-generate all */
export declare const Rating: FC<RatingProps>;
export default Rating;
//# sourceMappingURL=Rating.d.ts.map