import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface SearchFieldProps extends PropsWithChildren<Omit<Aria.SearchFieldProps, "children">>, FlowComponentProps<HTMLInputElement> {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const SearchField: React.FunctionComponent<SearchFieldProps & React.RefAttributes<HTMLInputElement>>;
export default SearchField;
//# sourceMappingURL=SearchField.d.ts.map