import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface SliderProps extends FlowComponentProps<HTMLDivElement>, PropsWithChildren<Aria.SliderProps>, Pick<Aria.SliderThumbProps, "name"> {
    showInitialMarker?: boolean;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Slider: React.FunctionComponent<SliderProps & React.RefAttributes<HTMLDivElement>>;
export default Slider;
//# sourceMappingURL=Slider.d.ts.map