import { FC, PropsWithChildren } from 'react';
import * as Aria from "react-aria-components";
export interface TableCellProps extends Omit<Aria.CellProps, "children" | "style">, PropsWithChildren {
    /** Use cell as row header */
    rowHeader?: boolean;
    /** Horizontal alignment of the cell content @default "start" */
    horizontalAlign?: "start" | "center" | "end";
}
/** @flr-generate all */
export declare const TableCell: FC<TableCellProps>;
export default TableCell;
//# sourceMappingURL=TableCell.d.ts.map