import { TextFieldBaseProps } from '../TextFieldBase';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithClassName } from '../../lib/types/props';
import * as Aria from "react-aria-components";
export interface TextFieldProps extends Omit<TextFieldBaseProps, "input" | "className">, Pick<Aria.InputProps, "placeholder" | "form">, PropsWithClassName, FlowComponentProps<HTMLInputElement> {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const TextField: import('react').FunctionComponent<TextFieldProps & import('react').RefAttributes<HTMLInputElement>>;
export default TextField;
//# sourceMappingURL=TextField.d.ts.map