import { FC, PropsWithChildren, ReactNode } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface TextFieldBaseProps extends PropsWithChildren<Omit<Aria.TextFieldProps, "children">>, Pick<FlowComponentProps<HTMLInputElement>, "ref"> {
    /** The input element */
    input: ReactNode;
    /** Whether a character count should be displayed inside the field description. */
    showCharacterCount?: boolean;
}
export declare const TextFieldBase: FC<TextFieldBaseProps>;
export default TextFieldBase;
//# sourceMappingURL=TextFieldBase.d.ts.map