import { PropsWithChildren, ReactNode, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface TimeFieldProps<T extends Aria.TimeValue = Aria.TimeValue> extends PropsWithChildren<Omit<Aria.TimeFieldProps<T>, "children">>, FlowComponentProps<HTMLInputElement> {
    /** An error message to be displayed below the field */
    errorMessage?: ReactNode;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const TimeField: React.FunctionComponent<TimeFieldProps<Aria.TimeValue> & React.RefAttributes<HTMLInputElement>>;
export default TimeField;
//# sourceMappingURL=TimeField.d.ts.map