import { FC, PropsWithChildren } from 'react';
export interface Translations {
    "de-DE"?: Record<string, string>;
    "en-US"?: Record<string, string>;
}
type Props = PropsWithChildren & {
    translations: Translations;
};
export declare const useTranslationProvider: () => Translations;
export declare const TranslationProvider: FC<Props>;
export default TranslationProvider;
//# sourceMappingURL=TranslationProvider.d.ts.map