import { PropsWithChildren } from 'react';
import { ControllerProps, FieldValues, UseFormReturn } from 'react-hook-form';
export interface FieldProps<T extends FieldValues> extends Omit<ControllerProps<T>, "render">, PropsWithChildren {
}
export declare function Field<T extends FieldValues>(props: FieldProps<T>): import("react/jsx-runtime").JSX.Element;
export declare const typedField: <T extends FieldValues>(ignoredForm: UseFormReturn<T> | UseFormReturn<T>["control"]) => typeof Field<T>;
export default Field;
//# sourceMappingURL=Field.d.ts.map