import { FieldValues, UseFormReturn } from 'react-hook-form';
interface FormContext<F extends FieldValues> {
    form: UseFormReturn<F>;
    id: string;
}
type AnyFormContext = FormContext<any>;
export declare const formContext: import('react').Context<AnyFormContext | undefined>;
export declare const FormContextProvider: import('react').Provider<AnyFormContext | undefined>;
export declare const useFormContext: <F extends FieldValues>() => FormContext<F>;
export {};
//# sourceMappingURL=formContext.d.ts.map