import { PropsContext } from './types';
export declare const propsContext: import('react').Context<Partial<{
    AccentBox: import('./types').ComponentPropsContext<"AccentBox">;
    Action: import('./types').ComponentPropsContext<"Action">;
    ActionGroup: import('./types').ComponentPropsContext<"ActionGroup">;
    Alert: import('./types').ComponentPropsContext<"Alert">;
    AlertBadge: import('./types').ComponentPropsContext<"AlertBadge">;
    AlertIcon: import('./types').ComponentPropsContext<"AlertIcon">;
    Align: import('./types').ComponentPropsContext<"Align">;
    Avatar: import('./types').ComponentPropsContext<"Avatar">;
    Autocomplete: import('./types').ComponentPropsContext<"Autocomplete">;
    Badge: import('./types').ComponentPropsContext<"Badge">;
    Button: import('./types').ComponentPropsContext<"Button">;
    Checkbox: import('./types').ComponentPropsContext<"Checkbox">;
    CheckboxButton: import('./types').ComponentPropsContext<"CheckboxButton">;
    CheckboxGroup: import('./types').ComponentPropsContext<"CheckboxGroup">;
    ColumnLayout: import('./types').ComponentPropsContext<"ColumnLayout">;
    ComboBox: import('./types').ComponentPropsContext<"ComboBox">;
    Content: import('./types').ComponentPropsContext<"Content">;
    ContextMenu: import('./types').ComponentPropsContext<"ContextMenu">;
    ContextMenuSection: import('./types').ComponentPropsContext<"ContextMenuSection">;
    ContextMenuTrigger: import('./types').ComponentPropsContext<"ContextMenuTrigger">;
    ContextualHelp: import('./types').ComponentPropsContext<"ContextualHelp">;
    ContextualHelpTrigger: import('./types').ComponentPropsContext<"ContextualHelpTrigger">;
    CopyButton: import('./types').ComponentPropsContext<"CopyButton">;
    CounterBadge: import('./types').ComponentPropsContext<"CounterBadge">;
    CountryOptions: import('./types').ComponentPropsContext<"CountryOptions">;
    DatePicker: import('./types').ComponentPropsContext<"DatePicker">;
    DateRangePicker: import('./types').ComponentPropsContext<"DateRangePicker">;
    FieldDescription: import('./types').ComponentPropsContext<"FieldDescription">;
    FieldError: import('./types').ComponentPropsContext<"FieldError">;
    FileCard: import('./types').ComponentPropsContext<"FileCard">;
    FileCardList: import('./types').ComponentPropsContext<"FileCardList">;
    FileField: import('./types').ComponentPropsContext<"FileField">;
    FileDropZone: import('./types').ComponentPropsContext<"FileDropZone">;
    Header: import('./types').ComponentPropsContext<"Header">;
    Heading: import('./types').ComponentPropsContext<"Heading">;
    Icon: import('./types').ComponentPropsContext<"Icon">;
    Image: import('./types').ComponentPropsContext<"Image">;
    Initials: import('./types').ComponentPropsContext<"Initials">;
    Label: import('./types').ComponentPropsContext<"Label">;
    LayoutCard: import('./types').ComponentPropsContext<"LayoutCard">;
    LightBox: import('./types').ComponentPropsContext<"LightBox">;
    Link: import('./types').ComponentPropsContext<"Link">;
    List: import('./types').ComponentPropsContext<"List">;
    ListSummary: import('./types').ComponentPropsContext<"ListSummary">;
    MenuItem: import('./types').ComponentPropsContext<"MenuItem">;
    MenuTrigger: import('./types').ComponentPropsContext<"MenuTrigger">;
    Message: import('./types').ComponentPropsContext<"Message">;
    MessageThread: import('./types').ComponentPropsContext<"MessageThread">;
    Modal: import('./types').ComponentPropsContext<"Modal">;
    ModalTrigger: import('./types').ComponentPropsContext<"ModalTrigger">;
    Navigation: import('./types').ComponentPropsContext<"Navigation">;
    NavigationGroup: import('./types').ComponentPropsContext<"NavigationGroup">;
    NumberField: import('./types').ComponentPropsContext<"NumberField">;
    Option: import('./types').ComponentPropsContext<"Option">;
    Popover: import('./types').ComponentPropsContext<"Popover">;
    PopoverTrigger: import('./types').ComponentPropsContext<"PopoverTrigger">;
    PasswordCreationField: import('./types').ComponentPropsContext<"PasswordCreationField">;
    ProgressBar: import('./types').ComponentPropsContext<"ProgressBar">;
    Radio: import('./types').ComponentPropsContext<"Radio">;
    RadioButton: import('./types').ComponentPropsContext<"RadioButton">;
    RadioGroup: import('./types').ComponentPropsContext<"RadioGroup">;
    SearchField: import('./types').ComponentPropsContext<"SearchField">;
    Section: import('./types').ComponentPropsContext<"Section">;
    Segment: import('./types').ComponentPropsContext<"Segment">;
    SegmentedControl: import('./types').ComponentPropsContext<"SegmentedControl">;
    Select: import('./types').ComponentPropsContext<"Select">;
    Slider: import('./types').ComponentPropsContext<"Slider">;
    Switch: import('./types').ComponentPropsContext<"Switch">;
    Tabs: import('./types').ComponentPropsContext<"Tabs">;
    TabTitle: import('./types').ComponentPropsContext<"TabTitle">;
    Text: import('./types').ComponentPropsContext<"Text">;
    TextArea: import('./types').ComponentPropsContext<"TextArea">;
    TextField: import('./types').ComponentPropsContext<"TextField">;
    TimeField: import('./types').ComponentPropsContext<"TimeField">;
    TestComponent: import('./types').ComponentPropsContext<"TestComponent">;
}>>;
export declare const PropsContextProvider: import('react').Provider<Partial<{
    AccentBox: import('./types').ComponentPropsContext<"AccentBox">;
    Action: import('./types').ComponentPropsContext<"Action">;
    ActionGroup: import('./types').ComponentPropsContext<"ActionGroup">;
    Alert: import('./types').ComponentPropsContext<"Alert">;
    AlertBadge: import('./types').ComponentPropsContext<"AlertBadge">;
    AlertIcon: import('./types').ComponentPropsContext<"AlertIcon">;
    Align: import('./types').ComponentPropsContext<"Align">;
    Avatar: import('./types').ComponentPropsContext<"Avatar">;
    Autocomplete: import('./types').ComponentPropsContext<"Autocomplete">;
    Badge: import('./types').ComponentPropsContext<"Badge">;
    Button: import('./types').ComponentPropsContext<"Button">;
    Checkbox: import('./types').ComponentPropsContext<"Checkbox">;
    CheckboxButton: import('./types').ComponentPropsContext<"CheckboxButton">;
    CheckboxGroup: import('./types').ComponentPropsContext<"CheckboxGroup">;
    ColumnLayout: import('./types').ComponentPropsContext<"ColumnLayout">;
    ComboBox: import('./types').ComponentPropsContext<"ComboBox">;
    Content: import('./types').ComponentPropsContext<"Content">;
    ContextMenu: import('./types').ComponentPropsContext<"ContextMenu">;
    ContextMenuSection: import('./types').ComponentPropsContext<"ContextMenuSection">;
    ContextMenuTrigger: import('./types').ComponentPropsContext<"ContextMenuTrigger">;
    ContextualHelp: import('./types').ComponentPropsContext<"ContextualHelp">;
    ContextualHelpTrigger: import('./types').ComponentPropsContext<"ContextualHelpTrigger">;
    CopyButton: import('./types').ComponentPropsContext<"CopyButton">;
    CounterBadge: import('./types').ComponentPropsContext<"CounterBadge">;
    CountryOptions: import('./types').ComponentPropsContext<"CountryOptions">;
    DatePicker: import('./types').ComponentPropsContext<"DatePicker">;
    DateRangePicker: import('./types').ComponentPropsContext<"DateRangePicker">;
    FieldDescription: import('./types').ComponentPropsContext<"FieldDescription">;
    FieldError: import('./types').ComponentPropsContext<"FieldError">;
    FileCard: import('./types').ComponentPropsContext<"FileCard">;
    FileCardList: import('./types').ComponentPropsContext<"FileCardList">;
    FileField: import('./types').ComponentPropsContext<"FileField">;
    FileDropZone: import('./types').ComponentPropsContext<"FileDropZone">;
    Header: import('./types').ComponentPropsContext<"Header">;
    Heading: import('./types').ComponentPropsContext<"Heading">;
    Icon: import('./types').ComponentPropsContext<"Icon">;
    Image: import('./types').ComponentPropsContext<"Image">;
    Initials: import('./types').ComponentPropsContext<"Initials">;
    Label: import('./types').ComponentPropsContext<"Label">;
    LayoutCard: import('./types').ComponentPropsContext<"LayoutCard">;
    LightBox: import('./types').ComponentPropsContext<"LightBox">;
    Link: import('./types').ComponentPropsContext<"Link">;
    List: import('./types').ComponentPropsContext<"List">;
    ListSummary: import('./types').ComponentPropsContext<"ListSummary">;
    MenuItem: import('./types').ComponentPropsContext<"MenuItem">;
    MenuTrigger: import('./types').ComponentPropsContext<"MenuTrigger">;
    Message: import('./types').ComponentPropsContext<"Message">;
    MessageThread: import('./types').ComponentPropsContext<"MessageThread">;
    Modal: import('./types').ComponentPropsContext<"Modal">;
    ModalTrigger: import('./types').ComponentPropsContext<"ModalTrigger">;
    Navigation: import('./types').ComponentPropsContext<"Navigation">;
    NavigationGroup: import('./types').ComponentPropsContext<"NavigationGroup">;
    NumberField: import('./types').ComponentPropsContext<"NumberField">;
    Option: import('./types').ComponentPropsContext<"Option">;
    Popover: import('./types').ComponentPropsContext<"Popover">;
    PopoverTrigger: import('./types').ComponentPropsContext<"PopoverTrigger">;
    PasswordCreationField: import('./types').ComponentPropsContext<"PasswordCreationField">;
    ProgressBar: import('./types').ComponentPropsContext<"ProgressBar">;
    Radio: import('./types').ComponentPropsContext<"Radio">;
    RadioButton: import('./types').ComponentPropsContext<"RadioButton">;
    RadioGroup: import('./types').ComponentPropsContext<"RadioGroup">;
    SearchField: import('./types').ComponentPropsContext<"SearchField">;
    Section: import('./types').ComponentPropsContext<"Section">;
    Segment: import('./types').ComponentPropsContext<"Segment">;
    SegmentedControl: import('./types').ComponentPropsContext<"SegmentedControl">;
    Select: import('./types').ComponentPropsContext<"Select">;
    Slider: import('./types').ComponentPropsContext<"Slider">;
    Switch: import('./types').ComponentPropsContext<"Switch">;
    Tabs: import('./types').ComponentPropsContext<"Tabs">;
    TabTitle: import('./types').ComponentPropsContext<"TabTitle">;
    Text: import('./types').ComponentPropsContext<"Text">;
    TextArea: import('./types').ComponentPropsContext<"TextArea">;
    TextField: import('./types').ComponentPropsContext<"TextField">;
    TimeField: import('./types').ComponentPropsContext<"TimeField">;
    TestComponent: import('./types').ComponentPropsContext<"TestComponent">;
}>>;
export declare const useContextProps: () => PropsContext;
//# sourceMappingURL=propsContext.d.ts.map