import { DurationLike } from 'luxon';
export declare class Timer {
    private duration;
    private onDone;
    private startedAt?;
    private pausedAt?;
    private runningTimeoutId?;
    start(duration: DurationLike, onDone?: () => void): void;
    restart(): void;
    pause(): void;
    resume(): void;
    stop(): void;
    get state(): "idle" | "running" | "paused";
    private clearTimeout;
    private startTimeout;
}
export default Timer;
//# sourceMappingURL=Timer.d.ts.map