"use client"
/* */
const locales = {"de-DE": {  "button.generate": `Generieren`,
  "button.generate.tooltip.hide": `Passwort verbergen`,
  "button.generate.tooltip.show": `Passwort anzeigen`,
  "password.requirements.heading": `Anforderungen an dein Passwort`,
  "validation.allowedSpecialCharacters": `Erlaubte Sonderzeichen: #!~%^*_+-=?()<>|.,;\$:/`,
  "validation.atLeastOneCapitalLetter": `Mindestens ein Großbuchstabe`,
  "validation.atLeastOneLowercaseLetter": `Mindestens ein Kleinbuchstabe`,
  "validation.blocklist": (args, formatter) => `${formatter.select({true: `Das Passwort enthält keine verbotenen Wörter.`, other: () => `Das Passwort enthält ein verbotenes Wort "${args.blockedSubstrings}".`}, args.isValid)}`,
  "validation.blocklist.short": (args, formatter) => `${formatter.select({true: `Keine verbotenen Wörter`, other: () => `Verbotenes Wort "${args.blockedSubstrings}"`}, args.isValid)}`,
  "validation.canNotStartWithSpecialCharacter": `Darf nicht mit Sonderzeichen anfangen`,
  "validation.char.max": (args, formatter) => `${formatter.plural(args.max, {one: () => `Bitte verwende maximal ein Zeichen aus [${args.chars}].`, other: () => `Bitte verwende maximal ${args.max} Zeichen aus [${args.chars}].`})}`,
  "validation.char.max.short": (args, formatter) => `${formatter.plural(args.max, {one: () => `Maximal ein Zeichen aus [${args.chars}].`, other: () => `Maximal ${args.max} Zeichen aus [${args.chars}].`})}`,
  "validation.char.min": (args, formatter) => `${formatter.plural(args.max, {one: () => `Bitte verwende mindestens ein Zeichen aus [${args.chars}].`, other: () => `Bitte verwende mindestens ${args.min} Zeichen aus [${args.chars}].`})}`,
  "validation.char.min.short": (args, formatter) => `${formatter.plural(args.max, {one: () => `Mindestens ein Zeichen aus [${args.chars}].`, other: () => `Mindestens ${args.min} Zeichen aus [${args.chars}].`})}`,
  "validation.charPool.numbers.max": (args, formatter) => `${formatter.plural(args.max, {one: `Bitte verwende maximal eine Zahl.`, other: () => `Bitte verwende maximal ${args.max} Zahlen.`})}`,
  "validation.charPool.numbers.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximal eine Zahl`, other: () => `Maximal ${args.max} Zahlen`})}`,
  "validation.charPool.numbers.min": (args, formatter) => `${formatter.plural(args.min, {one: `Bitte verwende mindestens eine Zahl.`, other: () => `Bitte verwende mindestens ${args.min} Zahlen.`})}`,
  "validation.charPool.numbers.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `Mindestens eine Zahl`, other: () => `Mindestens ${args.min} Zahlen`})}`,
  "validation.charPool.special.max": (args, formatter) => `${formatter.plural(args.max, {one: `Bitte verwende maximal ein Sonderzeichen.`, other: () => `Bitte verwende maximal ${args.max} Sonderzeichen.`})}`,
  "validation.charPool.special.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximal ein Sonderzeichen`, other: () => `Maximal ${args.max} Sonderzeichen`})}`,
  "validation.charPool.special.min": (args, formatter) => `${formatter.plural(args.min, {one: `Bitte verwende mindestens ein Sonderzeichen.`, other: () => `Bitte verwende mindestens ${args.min} Sonderzeichen.`})}`,
  "validation.charPool.special.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `Mindestens ein Sonderzeichen`, other: () => `Mindestens ${args.min} Sonderzeichen`})}`,
  "validation.general.failingComplexity": `Bitte erhöhe die Komplexität deines Passwortes.`,
  "validation.general.optimizeComplexity": `Dein Passwort erfüllt die Minimalanforderungen.`,
  "validation.general.securePassword": `Sehr gut! Dein Passwort ist sicher.`,
  "validation.hibp": (args, formatter) => `${formatter.select({true: `Das Passwort ist nicht kompromittiert.`, other: `Das Passwort ist kompromittiert. Bitte vergib ein neues.`}, args.isValid)}`,
  "validation.hibp.short": (args, formatter) => `${formatter.select({true: `Nicht kompromittiert`, other: `Kompromittiert`}, args.isValid)}`,
  "validation.length.max": (args, formatter) => `${formatter.plural(args.max, {one: `Bitte wähle ein Passwort mit maximal einem Zeichen.`, other: () => `Bitte wähle ein Passwort mit maximal ${args.max} Zeichen.`})}`,
  "validation.length.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximal ein Zeichen`, other: () => `Maximal ${args.max} Zeichen`})}`,
  "validation.length.min": (args, formatter) => `${formatter.plural(args.min, {one: `Bitte wähle ein Passwort mit mindestens einem Zeichen.`, other: () => `Bitte wähle ein Passwort mit mindestens ${args.min} Zeichen.`})}`,
  "validation.length.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `Mindestens ein Zeichen`, other: () => `Mindestens ${args.min} Zeichen`})}`,
  "validation.regex.max": (args) => `Bitte verwende das Muster "${args.pattern}" maximal ${args.max} Mal.`,
  "validation.regex.max.short": (args) => `Muster "${args.pattern}" maximal ${args.max} Mal`,
  "validation.regex.min": (args) => `Bitte gib ein Passwort nach dem Muster "${args.pattern}" an.`,
  "validation.regex.min.short": (args) => `Muster "${args.pattern}" nicht vorhanden`,
  "validation.sequence": `Bitte wähle ein Passwort ohne einfache Zeichenwiederholungen.`,
  "validation.sequence.short": `Keine einfachen Zeichenwiederholungen`,
},"en-US": {  "button.generate": `Generate`,
  "button.generate.tooltip.hide": `Hide password`,
  "button.generate.tooltip.show": `Show password`,
  "password.requirements.heading": `Requirements for your password`,
  "validation.allowedSpecialCharacters": `Allowed special characters: #!~%^*_+-=?()<>|.,;\$:/`,
  "validation.atLeastOneCapitalLetter": `At least one capital letter`,
  "validation.atLeastOneLowercaseLetter": `At least one lowercase letter`,
  "validation.blocklist": (args, formatter) => `${formatter.select({true: `The password does not contain any forbidden words.`, other: () => `The password contains a forbidden word "${args.blockedSubstrings}".`}, args.isValid)}`,
  "validation.blocklist.short": (args, formatter) => `${formatter.select({true: `No forbidden words`, other: () => `Forbidden word "${args.blockedSubstrings}"`}, args.isValid)}`,
  "validation.canNotStartWithSpecialCharacter": `Can not start with special character`,
  "validation.char.max": (args, formatter) => `${formatter.plural(args.max, {one: () => `Please use a maximum of one of the characters [${args.chars}].`, other: () => `Please use a maximum of ${args.max} of the characters [${args.chars}].`})}`,
  "validation.char.max.short": (args, formatter) => `${formatter.plural(args.max, {one: () => `Maximum one of [${args.chars}]`, other: () => `Maximum ${args.max} of [${args.chars}]`})}`,
  "validation.char.min": (args, formatter) => `${formatter.plural(args.max, {one: () => `Please use at least one of the characters [${args.chars}].`, other: () => `Please use at least ${args.min} of the characters [${args.chars}].`})}`,
  "validation.char.min.short": (args, formatter) => `${formatter.plural(args.max, {one: () => `At least one of [${args.chars}]`, other: () => `At least ${args.min} of [${args.chars}]`})}`,
  "validation.charPool.numbers.max": (args, formatter) => `${formatter.plural(args.max, {one: `Please use a maximum of one number.`, other: () => `Please use a maximum of ${args.max} numbers.`})}`,
  "validation.charPool.numbers.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximum one number`, other: () => `Maximum ${args.max} numbers`})}`,
  "validation.charPool.numbers.min": (args, formatter) => `${formatter.plural(args.min, {one: `Please use at least one number.`, other: () => `Please use at least ${args.min} numbers.`})}`,
  "validation.charPool.numbers.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `At least one number`, other: () => `At least ${args.min} numbers`})}`,
  "validation.charPool.special.max": (args, formatter) => `${formatter.plural(args.max, {one: `Please use a maximum of one special character.`, other: () => `Please use a maximum of ${args.max} special characters.`})}`,
  "validation.charPool.special.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximum one special character`, other: () => `Maximum ${args.max} special characters`})}`,
  "validation.charPool.special.min": (args, formatter) => `${formatter.plural(args.min, {one: `Please use at least one special character.`, other: () => `Please use at least ${args.min} special characters.`})}`,
  "validation.charPool.special.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `At least one special character`, other: () => `At least ${args.min} special characters`})}`,
  "validation.general.failingComplexity": `Please increase the complexity of your password.`,
  "validation.general.optimizeComplexity": `Your password meets the minimum requirements.`,
  "validation.general.securePassword": `Awesome! Your password is secure.`,
  "validation.hibp": (args, formatter) => `${formatter.select({true: `The password is not compromised.`, other: `The password has been compromised. Please set a new one.`}, args.isValid)}`,
  "validation.hibp.short": (args, formatter) => `${formatter.select({true: `Not compromised`, other: `Compromised`}, args.isValid)}`,
  "validation.length.max": (args, formatter) => `${formatter.plural(args.max, {one: `Please choose a password with a maximum of one character.`, other: () => `Please choose a password with a maximum of ${args.max} characters.`})}`,
  "validation.length.max.short": (args, formatter) => `${formatter.plural(args.max, {one: `Maximum one character`, other: () => `Maximum ${args.max} characters`})}`,
  "validation.length.min": (args, formatter) => `${formatter.plural(args.min, {one: `Please choose a password with at least one character.`, other: () => `Please choose a password with at least ${args.min} characters.`})}`,
  "validation.length.min.short": (args, formatter) => `${formatter.plural(args.min, {one: `At least one character`, other: () => `At least ${args.min} characters`})}`,
  "validation.regex.max": (args) => `Please use the pattern "${args.pattern}" a maximum of ${args.max} times.`,
  "validation.regex.max.short": (args) => `Pattern "${args.pattern}" maximum ${args.max} times`,
  "validation.regex.min": (args) => `Please enter a password like "${args.pattern}".`,
  "validation.regex.min.short": (args) => `Pattern "${args.pattern}" not found`,
  "validation.sequence": `Please choose a password without simple repetitions of characters.`,
  "validation.sequence.short": `No simple character repetitions`,
}};

export { locales as default };
//# sourceMappingURL=_.locale.json@95341064edeb0e38b66d786dbd62955c.mjs.map
