"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';

const AreaDot = ({
  cx,
  cy,
  color
}) => {
  if (cx === void 0 || cy === void 0) return null;
  return /* @__PURE__ */ jsxs(
    "svg",
    {
      x: cx - 7,
      y: cy - 7,
      width: 14,
      height: 14,
      viewBox: "0 0 14 14",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx("circle", { cx: "7", cy: "7", r: "7", fill: "white" }),
        /* @__PURE__ */ jsx("circle", { cx: "7", cy: "7", r: "4", stroke: color, strokeWidth: "2", fill: "white" })
      ]
    }
  );
};

export { AreaDot };
//# sourceMappingURL=AreaDot.mjs.map
