"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import clsx from 'clsx';
import styles from './BigNumber.module.scss.mjs';
import '../../lib/propsContext/propsContext.mjs';
import 'react';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';

const BigNumber = (props) => {
  const { children, className } = props;
  const rootClassName = clsx(styles.bigNumber, className);
  const propsContext = {
    Text: {
      className: styles.text
    }
  };
  return /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, mergeInParentContext: true, children: /* @__PURE__ */ jsx("span", { className: rootClassName, children }) });
};

export { BigNumber, BigNumber as default };
//# sourceMappingURL=BigNumber.mjs.map
