"use client"
/* */
import 'mobx';
import 'react';
import '../../lib/controller/overlay/context.mjs';
import { useIsMounted } from '../../lib/hooks/useIsMounted.mjs';
import '@react-aria/utils';
import '../../lib/propsContext/propsContext.mjs';
import 'react/jsx-runtime';
import 'remeda';
import '@mittwald/react-tunnel';
import '../../lib/slotContext/slotContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import 'dot-prop';

const BrowserOnly = (props) => {
  if (useIsMounted()) {
    return props.children;
  }
};

export { BrowserOnly, BrowserOnly as default };
//# sourceMappingURL=BrowserOnly.mjs.map
