"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Recharts from 'recharts';
import LegendContent from './components/LegendContent/LegendContent.mjs';

const ChartLegend = (props) => {
  const { formatter, ...rest } = props;
  return /* @__PURE__ */ jsx(
    Recharts.Legend,
    {
      ...rest,
      content: /* @__PURE__ */ jsx(LegendContent, { formatter })
    }
  );
};

export { ChartLegend, ChartLegend as default };
//# sourceMappingURL=ChartLegend.mjs.map
