"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import clsx from 'clsx';
import styles from './CounterBadge.module.scss.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const CounterBadge = flowComponent("CounterBadge", (props) => {
  const { className, count, ref, ...rest } = props;
  const rootClassName = clsx(styles.counterBadge, className);
  return /* @__PURE__ */ jsx("span", { className: rootClassName, ...rest, "aria-hidden": true, ref, children: count && count > 99 ? "99+" : count });
});

export { CounterBadge, CounterBadge as default };
//# sourceMappingURL=CounterBadge.mjs.map
