"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import styles from './EmulatedBoldText.module.scss.mjs';
import clsx from 'clsx';

const EmulatedBoldText = (props) => {
  const { children, className, ...rest } = props;
  const rootClassName = clsx(styles.emulatedBoldText, className);
  return /* @__PURE__ */ jsxs("span", { className: rootClassName, ...rest, children: [
    children,
    /* @__PURE__ */ jsx("span", { "aria-hidden": "true", className: styles.boldText, children })
  ] });
};

export { EmulatedBoldText, EmulatedBoldText as default };
//# sourceMappingURL=EmulatedBoldText.mjs.map
