"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import { ColumnLayout } from '../ColumnLayout/ColumnLayout.mjs';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const FileCardList = flowComponent("FileCardList", (props) => {
  const { className, ref, ...rest } = props;
  const propsContext = {
    FileCard: { elementType: "li" }
  };
  return /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children: /* @__PURE__ */ jsx(
    ColumnLayout,
    {
      ref,
      elementType: "ul",
      className,
      ...rest
    }
  ) });
});

export { FileCardList, FileCardList as default };
//# sourceMappingURL=FileCardList.mjs.map
