"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';
import { SectionHeader } from '../Section/components/SectionHeader/SectionHeader.mjs';

const Header = flowComponent("Header", (props) => {
  const {
    children,
    ref,
    elementType = "header",
    renderSectionHeader,
    className,
    ...rest
  } = props;
  if (renderSectionHeader) {
    return /* @__PURE__ */ jsx(SectionHeader, { ref, className, children });
  }
  const Element = elementType;
  return /* @__PURE__ */ jsx(Element, { ...rest, className, ref, children });
});

export { Header, Header as default };
//# sourceMappingURL=Header.mjs.map
