"use client"
/* */
import { TableHeader } from './TableHeader.mjs';
import { TableBody } from './TableBody.mjs';

class Table {
  list;
  header;
  body;
  componentProps;
  constructor(list, shape = {}) {
    const { header, body, ...restProps } = shape;
    this.list = list;
    this.header = new TableHeader(this, header);
    this.body = new TableBody(this, body);
    this.componentProps = restProps;
  }
}

export { Table };
//# sourceMappingURL=Table.mjs.map
