"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react-aria-components';
import '../../../OverlayTrigger/components/MenuTrigger/MenuTrigger.mjs';
import { OverlayTrigger } from '../../../OverlayTrigger/OverlayTrigger.mjs';
import DialogTriggerView from '../../../../views/DialogTriggerView.mjs';

const ModalTrigger = (props) => {
  const { children, ...triggerProps } = props;
  return /* @__PURE__ */ jsx(
    OverlayTrigger,
    {
      overlayType: "Modal",
      ...triggerProps,
      component: DialogTriggerView,
      children
    }
  );
};

export { ModalTrigger, ModalTrigger as default };
//# sourceMappingURL=ModalTrigger.mjs.map
