"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import clsx from 'clsx';
import styles from '../../Popover.module.scss.mjs';
import * as Aria from 'react-aria-components';

const PopoverTip = (props) => {
  const { className } = props;
  const rootClassName = clsx(styles.tip, className);
  return /* @__PURE__ */ jsx(Aria.OverlayArrow, { className: rootClassName, children: /* @__PURE__ */ jsx("svg", { width: 16, height: 16, viewBox: "0 0 16 16", children: /* @__PURE__ */ jsx("path", { d: "M0 0 L8 8 L16 0" }) }) });
};

export { PopoverTip };
//# sourceMappingURL=PopoverTip.mjs.map
