"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from './Table.module.scss.mjs';

const Table = (props) => {
  const { children, className, verticalAlign = "top", ...rest } = props;
  const rootClassName = clsx(
    styles.table,
    styles[`vertical-align-${verticalAlign}`],
    className
  );
  return /* @__PURE__ */ jsx("div", { className: styles.tableContainer, children: /* @__PURE__ */ jsx(Aria.Table, { className: rootClassName, ...rest, children }) });
};

export { Table, Table as default };
//# sourceMappingURL=Table.mjs.map
