"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from '../../Table.module.scss.mjs';

const TableBody = (props) => {
  const { children, className, ...rest } = props;
  const rootClassName = clsx(styles.body, className);
  return /* @__PURE__ */ jsx(Aria.TableBody, { className: rootClassName, ...rest, children });
};

export { TableBody, TableBody as default };
//# sourceMappingURL=TableBody.mjs.map
