"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from '../../Table.module.scss.mjs';

const TableRow = (props) => {
  const { children, className, footer, ...rest } = props;
  return /* @__PURE__ */ jsx(
    Aria.Row,
    {
      className: (props2) => clsx(
        styles.row,
        footer && styles.footer,
        typeof className === "function" ? className(props2) : className
      ),
      ...rest,
      children
    }
  );
};

export { TableRow, TableRow as default };
//# sourceMappingURL=TableRow.mjs.map
