"use client"
/* */
import { useLocalizedStringFormatter } from 'react-aria';
import { useTranslationProvider } from './TranslationProvider.mjs';
import { mergeDeep } from 'remeda';

const useLocalizedContextStringFormatter = (strings, componentName) => {
  const translationContextStrings = useTranslationProvider();
  return useLocalizedStringFormatter(
    mergeDeep(strings, translationContextStrings),
    componentName
  );
};

export { useLocalizedContextStringFormatter };
//# sourceMappingURL=useLocalizedContextStringFormatter.mjs.map
