"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import { useSlotContext, slotContext } from './slotContext.mjs';

const SlotContextProvider = (props) => {
  const { slot, component, children } = props;
  const parentContext = useSlotContext();
  const mergedContext = {
    ...parentContext,
    [component]: slot
  };
  return /* @__PURE__ */ jsx(slotContext.Provider, { value: mergedContext, children });
};

export { SlotContextProvider, SlotContextProvider as default };
//# sourceMappingURL=SlotContextProvider.mjs.map
