"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import '../components/ContextMenu/ContextMenu.mjs';
import '../components/MenuItem/MenuItem.mjs';
import { ContextMenuTrigger } from '../components/ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import 'react-aria-components';
import '../components/ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const ContextMenuTriggerView = (props) => {
  const View = useContext(viewComponentContext)["ContextMenuTrigger"] ?? ContextMenuTrigger;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { ContextMenuTriggerView as default };
//# sourceMappingURL=ContextMenuTriggerView.mjs.map
