"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import { MenuTrigger } from '../components/OverlayTrigger/components/MenuTrigger/MenuTrigger.mjs';
import 'mobx';
import '../lib/controller/overlay/context.mjs';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';

const MenuTriggerView = (props) => {
  const View = useContext(viewComponentContext)["MenuTrigger"] ?? MenuTrigger;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { MenuTriggerView as default };
//# sourceMappingURL=MenuTriggerView.mjs.map
