"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'clsx';
import 'mobx';
import '../lib/controller/overlay/context.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import { OverlayContent } from '../components/Overlay/components/OverlayContent.mjs';

const OverlayContentView = (props) => {
  const View = useContext(viewComponentContext)["OverlayContent"] ?? OverlayContent;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { OverlayContentView as default };
//# sourceMappingURL=OverlayContentView.mjs.map
