"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { Skeleton } from '../components/Skeleton/Skeleton.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const SkeletonView = (props) => {
  const View = useContext(viewComponentContext)["Skeleton"] ?? Skeleton;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { SkeletonView as default };
//# sourceMappingURL=SkeletonView.mjs.map
