"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { TableBody } from '../components/Table/components/TableBody/TableBody.mjs';
import 'react-aria-components';
import 'clsx';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';

const TableBodyView = (props) => {
  const View = useContext(viewComponentContext)["TableBody"] ?? TableBody;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableBodyView as default };
//# sourceMappingURL=TableBodyView.mjs.map
