"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import 'clsx';
import { TableColumn } from '../components/Table/components/TableColumn/TableColumn.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';

const TableColumnView = (props) => {
  const View = useContext(viewComponentContext)["TableColumn"] ?? TableColumn;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableColumnView as default };
//# sourceMappingURL=TableColumnView.mjs.map
