"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import 'react-aria-components';
import 'clsx';
import '../lib/propsContext/propsContext.mjs';
import { viewComponentContext } from '../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import { TableHeader } from '../components/Table/components/TableHeader/TableHeader.mjs';

const TableHeaderView = (props) => {
  const View = useContext(viewComponentContext)["TableHeader"] ?? TableHeader;
  return /* @__PURE__ */ jsx(View, { ...props });
};

export { TableHeaderView as default };
//# sourceMappingURL=TableHeaderView.mjs.map
