import { PropsWithChildren } from 'react';
import { PropsWithClassName, PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface AccentBoxProps extends PropsWithChildren, PropsWithElementType<"div" | "section" | "article">, PropsWithClassName, FlowComponentProps {
    color?: "blue" | "green" | "gradient" | "neutral";
}
/** @flr-generate all */
export declare const AccentBox: import('react').FunctionComponent<AccentBoxProps & import('react').RefAttributes<HTMLDivElement>>;
export default AccentBox;
//# sourceMappingURL=AccentBox.d.ts.map