import { ComponentProps, FC, PropsWithChildren } from 'react';
export interface AccordionProps extends PropsWithChildren<ComponentProps<"div">> {
    /** Whether the accordion should be initially expanded. */
    defaultExpanded?: boolean;
    /** The visual variant of the accordion. @default "default" */
    variant?: "default" | "outline";
}
/** @flr-generate all */
export declare const Accordion: FC<AccordionProps>;
export default Accordion;
//# sourceMappingURL=Accordion.d.ts.map