import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithClassName } from '../../lib/types/props';
export interface ActionGroupProps extends PropsWithChildren, FlowComponentProps<HTMLDivElement>, PropsWithClassName {
    /** The spacing between the buttons inside the action group. @default "m" */
    spacing?: "s" | "m";
}
/** @flr-generate all */
export declare const ActionGroup: React.FunctionComponent<ActionGroupProps & React.RefAttributes<HTMLDivElement>>;
export default ActionGroup;
//# sourceMappingURL=ActionGroup.d.ts.map