import { FC } from 'react';
import { CategoricalColors } from '../../../../lib/tokens/CategoricalColors';
import * as Recharts from "recharts";
export interface LineProps extends Pick<Recharts.LineProps, "className" | "dataKey" | "key" | "xAxisId" | "yAxisId" | "type" | "unit"> {
    /** The color of the line. @default "sea-green" */
    color?: CategoricalColors;
}
/** @flr-generate all */
export declare const Line: FC<LineProps>;
export default Line;
//# sourceMappingURL=Line.d.ts.map