import { PropsWithChildren } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface AutocompleteProps extends PropsWithChildren, PropsWithClassName, FlowComponentProps, Omit<Aria.AutocompleteProps, "children" | "onInputChange" | "inputValue"> {
}
/** @flr-generate all */
export declare const Autocomplete: import('react').FunctionComponent<AutocompleteProps & import('react').RefAttributes<HTMLDivElement>>;
export default Autocomplete;
//# sourceMappingURL=Autocomplete.d.ts.map