import { ColumnLayoutProps } from '../ColumnLayout';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithChildren } from 'react';
import * as Aria from "react-aria-components";
export interface CheckboxGroupProps extends PropsWithChildren<Omit<Aria.CheckboxGroupProps, "children">>, Pick<ColumnLayoutProps, "s" | "m" | "l">, FlowComponentProps {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const CheckboxGroup: import('react').FunctionComponent<CheckboxGroupProps & import('react').RefAttributes<HTMLDivElement>>;
export default CheckboxGroup;
//# sourceMappingURL=CheckboxGroup.d.ts.map