import { PropsWithChildren } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { OverlayController } from '../../lib/controller';
import { OptionsProps } from '../Options/Options';
import * as Aria from "react-aria-components";
export interface ComboBoxProps extends Omit<Aria.ComboBoxProps<never>, "children">, Pick<Aria.InputProps, "placeholder">, Pick<OptionsProps, "renderEmptyState">, PropsWithChildren, FlowComponentProps {
    onChange?: (value: string) => void;
    controller?: OverlayController;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const ComboBox: import('react').FunctionComponent<ComboBoxProps & import('react').RefAttributes<HTMLDivElement>>;
export default ComboBox;
//# sourceMappingURL=ComboBox.d.ts.map