import { PropsWithChildren, default as React } from 'react';
import { PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface ContentProps extends PropsWithChildren, PropsWithElementType<"div" | "section" | "span">, FlowComponentProps {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Content: React.FunctionComponent<ContentProps & React.RefAttributes<HTMLDivElement>>;
export default Content;
//# sourceMappingURL=Content.d.ts.map