import { ButtonProps } from '../Button';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface CopyButtonProps extends Omit<ButtonProps, "onPress" | "aria-label" | "render">, FlowComponentProps<HTMLButtonElement> {
    /** The text to copy. */
    text?: string;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const CopyButton: import('react').FunctionComponent<CopyButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export default CopyButton;
//# sourceMappingURL=CopyButton.d.ts.map