import { default as React } from 'react';
import { PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface CounterBadgeProps extends PropsWithElementType<"span">, FlowComponentProps {
    /** The number displayed inside the badge. */
    count?: number;
}
/** @flr-generate all */
export declare const CounterBadge: React.FunctionComponent<CounterBadgeProps & React.RefAttributes<HTMLDivElement>>;
export default CounterBadge;
//# sourceMappingURL=CounterBadge.d.ts.map