import { PropsWithChildren, ReactNode, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface DatePickerProps<T extends Aria.DateValue = Aria.DateValue> extends PropsWithChildren<Omit<Aria.DatePickerProps<T>, "children">>, FlowComponentProps {
    /** The error message that is displayed below the input. */
    errorMessage?: ReactNode;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const DatePicker: React.FunctionComponent<DatePickerProps<Aria.DateValue> & React.RefAttributes<HTMLDivElement>>;
export default DatePicker;
//# sourceMappingURL=DatePicker.d.ts.map