import { PropsWithChildren, ReactNode, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface DateRangePickerProps<T extends Aria.DateValue = Aria.DateValue> extends PropsWithChildren<Omit<Aria.DateRangePickerProps<T>, "children">>, FlowComponentProps {
    /** The error message that is displayed below the input. */
    errorMessage?: ReactNode;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const DateRangePicker: React.FunctionComponent<DateRangePickerProps<Aria.DateValue> & React.RefAttributes<HTMLDivElement>>;
export default DateRangePicker;
//# sourceMappingURL=DateRangePicker.d.ts.map