import { FC, PropsWithChildren } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { FileInputOnChangeHandler } from '../FileField/components/FileInput';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { FocusableElement } from '@react-types/shared';
import * as Aria from "react-aria-components";
export interface FileDropZoneProps extends PropsWithClassName, FlowComponentProps<FocusableElement>, PropsWithChildren, Pick<Aria.InputProps, "accept" | "multiple" | "name"> {
    onChange?: FileInputOnChangeHandler;
}
/** @flr-generate all */
export declare const FileDropZone: FC<FileDropZoneProps>;
export default FileDropZone;
//# sourceMappingURL=FileDropZone.d.ts.map