import { PropsWithChildren, default as React } from 'react';
import { PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export interface HeaderProps extends PropsWithChildren, PropsWithElementType<"div" | "header" | "span">, FlowComponentProps<HTMLDivElement | HTMLHeadElement | HTMLSpanElement> {
}
/** @flr-generate all */
export declare const Header: React.FunctionComponent<HeaderProps & React.RefAttributes<HTMLDivElement | HTMLHeadElement | HTMLSpanElement>>;
export default Header;
//# sourceMappingURL=Header.d.ts.map