import { ComponentProps, FC, PropsWithChildren } from 'react';
export interface IllustratedMessageProps extends PropsWithChildren<ComponentProps<"div">> {
    /** The color of the illustrated message. @default "primary" */
    color?: "primary" | "danger" | "light" | "dark";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const IllustratedMessage: FC<IllustratedMessageProps>;
export default IllustratedMessage;
//# sourceMappingURL=IllustratedMessage.d.ts.map