import { ListShape } from './model/types';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithChildren } from 'react';
export interface ListProps<T> extends PropsWithChildren, FlowComponentProps, Omit<ListShape<T>, "search" | "loader" | "itemView" | "table" | "batchesController" | "filters" | "sorting"> {
    /** The number of items to be displayed on one page. */
    batchSize?: number;
    hidePagination?: boolean;
}
export declare const List: import('react').FunctionComponent<ListProps<never> & import('react').RefAttributes<HTMLDivElement>>;
export default List;
//# sourceMappingURL=List.d.ts.map