import { ComponentType } from 'react';
import { RenderItemFn } from '../model/item/types';
import { ItemViewShape } from '../model/item/ItemView';
type Props<T> = Omit<ItemViewShape<T>, "renderFn"> & {
    children: RenderItemFn<T>;
};
export declare const ListItem: <T>(ignoredProps: Props<T>) => null;
export declare const TypedListItem: <T>() => ComponentType<Props<T>>;
export {};
//# sourceMappingURL=ListItem.d.ts.map