import { SearchFieldRenderComponent, SearchShape } from '../model/search/types';
import { ComponentType } from 'react';
type Props<T> = Omit<SearchShape<T>, "render" | "textFieldProps"> & {
    children?: SearchFieldRenderComponent;
    autoSubmit?: boolean;
} & SearchShape<T>["textFieldProps"];
export declare function ListSearch<T = never>(ignoredProps: Props<T>): null;
export declare const TypedListSearch: <T>() => ComponentType<Props<T>>;
export {};
//# sourceMappingURL=ListSearch.d.ts.map