import { PropsWithChildren } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface MenuItemProps extends Omit<Aria.MenuItemProps, "children">, PropsWithChildren, FlowComponentProps {
    selectionVariant?: "control" | "navigation" | "switch";
}
/** @flr-generate all */
export declare const MenuItem: import('react').FunctionComponent<MenuItemProps & import('react').RefAttributes<HTMLDivElement>>;
export default MenuItem;
//# sourceMappingURL=MenuItem.d.ts.map