import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface OptionProps extends Omit<Aria.ListBoxItemProps, "children" | "value" | "id">, PropsWithChildren, FlowComponentProps {
    value?: string | number;
}
/** @flr-generate all */
export declare const Option: React.FunctionComponent<OptionProps & React.RefAttributes<HTMLDivElement>>;
export default Option;
//# sourceMappingURL=Option.d.ts.map