import { PropsWithChildren, default as React } from 'react';
import { ColumnLayoutProps } from '../ColumnLayout';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface RadioGroupProps extends PropsWithChildren<Omit<Aria.RadioGroupProps, "children">>, FlowComponentProps, Pick<ColumnLayoutProps, "s" | "m" | "l"> {
}
/** @flr-generate all */
export declare const RadioGroup: React.FunctionComponent<RadioGroupProps & React.RefAttributes<HTMLDivElement>>;
export default RadioGroup;
//# sourceMappingURL=RadioGroup.d.ts.map