import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithContainerBreakpointSize } from '../../lib/types/props';
import { PropsWithChildren, default as React } from 'react';
import * as Aria from "react-aria-components";
export interface SegmentedControlProps extends PropsWithChildren<Omit<Aria.RadioGroupProps, "children">>, FlowComponentProps, PropsWithContainerBreakpointSize {
}
/** @flr-generate all */
export declare const SegmentedControl: React.FunctionComponent<SegmentedControlProps & React.RefAttributes<HTMLDivElement>>;
export default SegmentedControl;
//# sourceMappingURL=SegmentedControl.d.ts.map