import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface SegmentProps extends PropsWithChildren<Omit<Aria.RadioProps, "children">>, FlowComponentProps<HTMLLabelElement> {
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Segment: React.FunctionComponent<SegmentProps & React.RefAttributes<HTMLLabelElement>>;
export default Segment;
//# sourceMappingURL=Segment.d.ts.map