import { FC, PropsWithChildren } from 'react';
import { SupportedSettingsBackend } from './backends/types';
import { SettingsStore } from './models/SettingsStore';
type Props = PropsWithChildren & SupportedSettingsBackend & {
    id?: string;
};
export declare const useSettings: () => SettingsStore | undefined;
export declare const SettingsProvider: FC<Props>;
export default SettingsProvider;
//# sourceMappingURL=SettingsProvider.d.ts.map