import { FC, PropsWithChildren } from 'react';
import * as Aria from "react-aria-components";
export interface TableColumnProps extends Omit<Aria.ColumnProps, "children">, PropsWithChildren {
    /** Horizontal alignment of the cell content @default "start" */
    horizontalAlign?: "start" | "center" | "end";
}
/** @flr-generate all */
export declare const TableColumn: FC<TableColumnProps>;
export default TableColumn;
//# sourceMappingURL=TableColumn.d.ts.map