export type ChildProps = object;
export declare class ChildPropsStore {
    children: import('mobx').ObservableMap<string, object>;
    readonly scope: string;
    constructor(scope: string);
    static useNew(scope: string): ChildPropsStore;
    static useFromContext(scope: string): ChildPropsStore | undefined;
    static use(scope: string): ChildPropsStore;
    setProps(childId: string, props: ChildProps): void;
    removeProps(childId: string): void;
    getPropsArray<T>(): T[];
    getProp<T>(name: string): T | undefined;
    useProp<T>(name: string): T | undefined;
    useProps<T>(): T | undefined;
    usePropsArray<T>(): T[];
}
//# sourceMappingURL=ChildPropsStore.d.ts.map